stu         2004/05/22 13:52:12 UTC	(20040522_1)

  Modified files:
    modules              m_realhost.c 
  Log:
  Removed uneeded check.  This should fix the cloaking bug
  
  Revision  Changes    Path
  1.2       +9 -8      oftc-hybrid/modules/m_realhost.c



stu         2004/05/22 12:59:39 UTC	(20040522_0)

  Modified files:
    .                    RELNOTES 
    include              patchlevel.h 
  Log:
  Cut RC1
  
  Revision  Changes    Path
  1.7       +5 -0      oftc-hybrid/RELNOTES
  1.14      +1 -1      oftc-hybrid/include/patchlevel.h



stu         2004/05/21 21:59:06 UTC	(20040521_6)

  Modified files:
    modules              m_set.c m_svscloak.c spy_info_notice.c 
                         spy_links_notice.c spy_motd_notice.c 
                         spy_stats_notice.c spy_trace_notice.c 
    modules/core         m_join.c m_squit.c 
    src                  channel.c ircdauth.c 
  Log:
  Forcing this commit as i missed out from the last one that i changed a
  bunch of L_OPER to L_ALL
  
  Revision  Changes    Path
  1.4       +1 -1      oftc-hybrid/modules/core/m_join.c
  1.11      +1 -1      oftc-hybrid/modules/core/m_squit.c
  1.5       +1 -1      oftc-hybrid/modules/m_set.c
  1.15      +1 -1      oftc-hybrid/modules/m_svscloak.c
  1.5       +1 -1      oftc-hybrid/modules/spy_info_notice.c
  1.6       +1 -1      oftc-hybrid/modules/spy_links_notice.c
  1.5       +1 -1      oftc-hybrid/modules/spy_motd_notice.c
  1.6       +1 -1      oftc-hybrid/modules/spy_stats_notice.c
  1.6       +1 -1      oftc-hybrid/modules/spy_trace_notice.c
  1.9       +0 -0      oftc-hybrid/src/channel.c
  1.7       +0 -0      oftc-hybrid/src/ircdauth.c



stu         2004/05/21 21:51:26 UTC	(20040521_5)

  Modified files:
    modules              m_names.c m_set.c m_svscloak.c 
                         spy_admin_notice.c spy_info_notice.c 
                         spy_links_notice.c spy_motd_notice.c 
                         spy_stats_notice.c spy_stats_p_notice.c 
                         spy_trace_notice.c 
    modules/core         m_join.c m_squit.c 
    src                  channel.c ircdauth.c s_serv.c 
  Log:
  Fixed /names for godmode opers
  
  Closes: 925047
  
  Revision  Changes    Path
  1.3       +3 -3      oftc-hybrid/modules/core/m_join.c
  1.10      +2 -2      oftc-hybrid/modules/core/m_squit.c
  1.4       +4 -2      oftc-hybrid/modules/m_names.c
  1.4       +3 -3      oftc-hybrid/modules/m_set.c
  1.14      +2 -2      oftc-hybrid/modules/m_svscloak.c
  1.4       +2 -2      oftc-hybrid/modules/spy_admin_notice.c
  1.4       +2 -2      oftc-hybrid/modules/spy_info_notice.c
  1.5       +2 -2      oftc-hybrid/modules/spy_links_notice.c
  1.4       +2 -2      oftc-hybrid/modules/spy_motd_notice.c
  1.5       +4 -4      oftc-hybrid/modules/spy_stats_notice.c
  1.5       +2 -2      oftc-hybrid/modules/spy_stats_p_notice.c
  1.5       +3 -3      oftc-hybrid/modules/spy_trace_notice.c
  1.8       +2 -2      oftc-hybrid/src/channel.c
  1.6       +1 -1      oftc-hybrid/src/ircdauth.c
  1.17      +1 -1      oftc-hybrid/src/s_serv.c



stu         2004/05/21 20:40:05 UTC	(20040521_4)

  Modified files:
    modules              m_topic.c 
  Log:
  Fix god mode TOPIC handling/notices
  Fixes: 946957,946951
  
  Revision  Changes    Path
  1.7       +5 -4      oftc-hybrid/modules/m_topic.c



stu         2004/05/21 20:12:11 UTC	(20040521_3)

  Modified files:
    modules              m_hs.c 
    modules/core         m_kick.c 
  Log:
  fix KICK godmode notice bug
  
  Revision  Changes    Path
  1.9       +2 -2      oftc-hybrid/modules/core/m_kick.c
  1.5       +2 -2      oftc-hybrid/modules/m_hs.c



stu         2004/05/21 13:12:45 UTC	(20040521_2)

  Modified files:
    src                  hash.c 
  Log:
  really fixed this time.. testing++
  
  Revision  Changes    Path
  1.8       +10 -3     oftc-hybrid/src/hash.c



stu         2004/05/21 13:00:44 UTC	(20040521_1)

  Modified files:
    src                  hash.c 
  Log:
  missed a line.. this woul dhave caused a memleak
  
  Revision  Changes    Path
  1.7       +1 -0      oftc-hybrid/src/hash.c



stu         2004/05/21 12:57:18 UTC	(20040521_0)

  Modified files:
    src                  hash.c 
  Log:
  Fix /list not showing chans to +G opers
  
  Closes: 926103
  
  Revision  Changes    Path
  1.6       +16 -4     oftc-hybrid/src/hash.c



stu         2004/05/19 08:25:22 UTC	(20040519_0)

  Modified files:
    src                  parse.c ircd.c 
    include              parse.h 
  Log:
  Updated tree parse code to current hybrid stock.  This should fix the cores
  we've been seeing.
  
  Obtained from:  Hybrid
  MFC After: Some Testing
  
  Revision  Changes    Path
  1.4       +1 -1      oftc-hybrid/include/parse.h
  1.7       +1 -1      oftc-hybrid/src/ircd.c
  1.11      +115 -104  oftc-hybrid/src/parse.c



stu         2004/03/30 15:09:21 UTC	(20040330_0)

  Modified files:
    modules/core         m_quit.c 
  Log:
  strip colour from ALL /quit messages.
  
  Closes: 920658
  Submitted by: mikegrb
  Adapted by: me
  
  Revision  Changes    Path
  1.4       +4 -1      oftc-hybrid/modules/core/m_quit.c



stu         2004/03/27 17:32:47 UTC	(20040327_4)

  Modified files:
    modules              m_who.c 
  Log:
  fixed bug causing /who to show garbage on +C
  
  Revision  Changes    Path
  1.16      +6 -9      oftc-hybrid/modules/m_who.c



stu         2004/03/27 16:51:55 UTC	(20040327_3)

  Modified files:
    modules              m_cs.c m_hs.c m_ms.c m_ns.c m_os.c 
  Log:
  while im here, *s.c arent generating revisions correctly due to missing :
  
  Revision  Changes    Path
  1.4       +1 -1      oftc-hybrid/modules/m_cs.c
  1.4       +1 -1      oftc-hybrid/modules/m_hs.c
  1.4       +1 -1      oftc-hybrid/modules/m_ms.c
  1.4       +1 -1      oftc-hybrid/modules/m_ns.c
  1.4       +1 -1      oftc-hybrid/modules/m_os.c



stu         2004/03/27 16:49:30 UTC	(20040327_2)

  Modified files:
    modules              m_ms.c 
  Log:
  ms.c using old headers..
  
  Revision  Changes    Path
  1.3       +2 -1      oftc-hybrid/modules/m_ms.c



stu         2004/03/27 16:47:36 UTC	(20040327_1)

  Modified files:
    modules              Makefile.in 
  Log:
  Added missing ms.c from makefile
  
  Revision  Changes    Path
  1.9       +1 -0      oftc-hybrid/modules/Makefile.in



stu         2004/03/27 16:43:25 UTC	(20040327_0)

  Modified files:
    modules              m_whois.c 
  Log:
  re-added missing display of secret channels to god mode users
  
  Revision  Changes    Path
  1.9       +6 -3      oftc-hybrid/modules/m_whois.c



stu         2004/03/15 19:54:48 UTC	(20040315_0)

  Modified files:
    modules              spy_links_notice.c spy_stats_notice.c 
                         spy_stats_p_notice.c spy_trace_notice.c 
  Log:
  in 1.3 server is a pointer not a string anymore.  make changes to spy notices
  to reflect this.  fixes a rather nasty bug.
  
  Revision  Changes    Path
  1.4       +2 -2      oftc-hybrid/modules/spy_links_notice.c
  1.4       +4 -4      oftc-hybrid/modules/spy_stats_notice.c
  1.4       +2 -2      oftc-hybrid/modules/spy_stats_p_notice.c
  1.4       +3 -3      oftc-hybrid/modules/spy_trace_notice.c



stu         2004/03/03 21:31:56 UTC	(20040303_0)

  Modified files:
    include              irc_res.h 
    src                  irc_res.c s_auth.c 
  Log:
  updated resolver to upstream stuff
  
  Revision  Changes    Path
  1.2       +1 -1      oftc-hybrid/include/irc_res.h
  1.3       +18 -14    oftc-hybrid/src/irc_res.c
  1.7       +5 -3      oftc-hybrid/src/s_auth.c



stu         2004/02/25 00:15:50 UTC	(20040225_1)

  Modified files:
    include              patchlevel.h 
  Log:
  rev patchlevel to 1.3.1
  
  Revision  Changes    Path
  1.13      +1 -1      oftc-hybrid/include/patchlevel.h



stu         2004/02/25 00:11:53 UTC	(20040225_0)

  Modified files:
    modules/core         m_sjoin.c 
  Log:
  Fixed +c propogation bug
  
  Revision  Changes    Path
  1.4       +4 -1      oftc-hybrid/modules/core/m_sjoin.c



stu         2004/02/24 00:05:50 UTC	(20040224_1)

  Modified files:
    include              patchlevel.h 
  Log:
  rev patchlevel for good this time
  
  Revision  Changes    Path
  1.12      +1 -1      oftc-hybrid/include/patchlevel.h



stu         2004/02/24 00:00:58 UTC	(20040224_0)

  Modified files:
    src                  channel_mode.c 
  Log:
  -fixed godmode +o notice not displaying
  
  Revision  Changes    Path
  1.16      +10 -10    oftc-hybrid/src/channel_mode.c



stu         2004/02/23 23:42:16 UTC	(20040223_2)

  Modified files:
    modules              m_gnotice.c 
  Log:
  fix compile warning, unused function prototype removed
  
  Revision  Changes    Path
  1.5       +1 -2      oftc-hybrid/modules/m_gnotice.c



stu         2004/02/23 22:30:56 UTC	(20040223_1)

  Modified files:
    include              patchlevel.h 
  Log:
  actually we better tag this as rc1 in case any nasty bugs creep in at the
  last minute
  
  Revision  Changes    Path
  1.11      +1 -1      oftc-hybrid/include/patchlevel.h



stu         2004/02/23 22:30:10 UTC	(20040223_0)

  Modified files:
    .                    RELNOTES 
    include              patchlevel.h 
  Log:
  - bringing code up to date for 1.3.0 release
  
  Revision  Changes    Path
  1.6       +7 -0      oftc-hybrid/RELNOTES
  1.10      +1 -1      oftc-hybrid/include/patchlevel.h



stu         2003/11/20 21:24:03 UTC	(20031120_0)

  Modified files:
    include              client.h 
    modules              m_svsmode.c 
    src                  client.c parse.c 
  Log:
  - added in MODE -R that got removed in merge
  - removed unused variables in svsmode.c
  - added parser fix from upstream
  
  Revision  Changes    Path
  1.13      +2 -0      oftc-hybrid/include/client.h
  1.12      +2 -3      oftc-hybrid/modules/m_svsmode.c
  1.26      +9 -0      oftc-hybrid/src/client.c
  1.10      +21 -14    oftc-hybrid/src/parse.c



dbharris    2003/11/08 02:51:31 UTC	(20031108_1)

  Modified files:
    .                    TODO.oftc 
  Log:
  Undo whitespace change, again testing commit.
  
  Revision  Changes    Path
  1.6       +0 -1      oftc-hybrid/TODO.oftc



dbharris    2003/11/08 02:46:34 UTC	(20031108_0)

  Modified files:
    .                    TODO.oftc 
  Log:
  Whitspace change to test commit.
  
  Revision  Changes    Path
  1.5       +1 -0      oftc-hybrid/TODO.oftc



dbharris    2003/10/31 16:31:01 UTC	(20031031_0)

  Modified files:
    modules              m_connect.c m_rehash.c m_svinfo.c 
    modules/core         m_die.c m_message.c m_server.c m_squit.c 
    src                  client.c m_error.c parse.c s_serv.c 
  Log:
  Change many occurances of MASK_IP to SHOW_IP and/or HIDE_IP, depending on how far along I was. For those gnotices which I did that, I also changed L_ADMIN or L_OPER to L_ALL. Also remove several duplicate gnotices.
  
  Revision  Changes    Path
  1.4       +3 -3      oftc-hybrid/modules/core/m_die.c
  1.10      +3 -3      oftc-hybrid/modules/core/m_message.c
  1.9       +34 -85    oftc-hybrid/modules/core/m_server.c
  1.9       +3 -3      oftc-hybrid/modules/core/m_squit.c
  1.6       +2 -2      oftc-hybrid/modules/m_connect.c
  1.6       +2 -2      oftc-hybrid/modules/m_rehash.c
  1.5       +3 -12     oftc-hybrid/modules/m_svinfo.c
  1.25      +15 -27    oftc-hybrid/src/client.c
  1.6       +6 -10     oftc-hybrid/src/m_error.c
  1.9       +3 -10     oftc-hybrid/src/parse.c
  1.16      +10 -24    oftc-hybrid/src/s_serv.c



stu         2003/10/23 19:00:55 UTC	(20031023_4)

  Modified files:
    include              patchlevel.h 
  Log:
  - up patchlevel for test6
  
  Revision  Changes    Path
  1.9       +1 -1      oftc-hybrid/include/patchlevel.h



stu         2003/10/23 17:51:44 UTC	(20031023_3)

  Modified files:
    src                  channel_mode.c 
  Log:
  - fixed god mode notices not being displayed to admins
  
  Revision  Changes    Path
  1.15      +14 -7     oftc-hybrid/src/channel_mode.c



stu         2003/10/23 16:34:07 UTC	(20031023_2)

  Modified files:
    src                  send.c 
  Log:
  - Fixed duplicated operwall message
  
  Revision  Changes    Path
  1.14      +2 -0      oftc-hybrid/src/send.c



stu         2003/10/23 16:09:40 UTC	(20031023_1)

  Modified files:
    include              client.h 
    modules              m_connect.c 
    src                  ircd_lexer.l ircd_parser.y s_serv.c 
                         s_user.c 
  Log:
  - Add user mode +S for server connect notices.  Requires servconnect in
    oper_only_umodes and oper_modes.
  
  Revision  Changes    Path
  1.12      +3 -1      oftc-hybrid/include/client.h
  1.5       +7 -7      oftc-hybrid/modules/m_connect.c
  1.8       +1 -0      oftc-hybrid/src/ircd_lexer.l
  1.12      +9 -0      oftc-hybrid/src/ircd_parser.y
  1.15      +12 -12    oftc-hybrid/src/s_serv.c
  1.15      +2 -1      oftc-hybrid/src/s_user.c



stu         2003/10/21 18:04:59 UTC	(20031021_0)

  Modified files:        (Branch: STABLE)
    include              patchlevel.h 
  Log:
  rev patchlevel
  
  Revision  Changes    Path
  1.5.2.2   +1 -1      oftc-hybrid/include/patchlevel.h



stu         2003/10/23 11:40:56 UTC	(20031023_0)

  Modified files:
    modules              m_log.c 
    src                  hash.c 
  Log:
  - Added gnotice on channel creation for spying opers
  
  Revision  Changes    Path
  1.5       +2 -1      oftc-hybrid/modules/m_log.c
  1.5       +4 -0      oftc-hybrid/src/hash.c



stu         2003/10/19 17:51:27 UTC	(20031019_4)

  Modified files:
    include              patchlevel.h 
  Log:
  - rev patchlevel.. lets see if we got it right this time
  
  Revision  Changes    Path
  1.8       +1 -1      oftc-hybrid/include/patchlevel.h



stu         2003/10/19 17:46:13 UTC	(20031019_3)

  Modified files:
    .                    BUGS 
    doc                  Makefile.in 
    include              client.h s_conf.h 
    modules              m_svscloak.c m_svsmode.c m_svsnick.c 
    modules/core         m_nick.c m_server.c 
    src                  channel_mode.c csvlib.c ircd_lexer.l 
                         ircd_parser.y s_conf.c s_user.c 
  Log:
  - remove IsService stuff.. we dont need it
  - port a couple of big fixes from hybrid
  
  Revision  Changes    Path
  1.39      +1 -1      oftc-hybrid/BUGS
  1.3       +4 -4      oftc-hybrid/doc/Makefile.in
  1.11      +0 -3      oftc-hybrid/include/client.h
  1.8       +0 -1      oftc-hybrid/include/s_conf.h
  1.5       +18 -11    oftc-hybrid/modules/core/m_nick.c
  1.8       +1 -6      oftc-hybrid/modules/core/m_server.c
  1.13      +1 -3      oftc-hybrid/modules/m_svscloak.c
  1.11      +1 -4      oftc-hybrid/modules/m_svsmode.c
  1.10      +2 -5      oftc-hybrid/modules/m_svsnick.c
  1.14      +0 -4      oftc-hybrid/src/channel_mode.c
  1.3       +0 -1      oftc-hybrid/src/csvlib.c
  1.7       +0 -2      oftc-hybrid/src/ircd_lexer.l
  1.11      +0 -37     oftc-hybrid/src/ircd_parser.y
  1.15      +0 -13     oftc-hybrid/src/s_conf.c
  1.14      +0 -2      oftc-hybrid/src/s_user.c



stu         2003/10/19 16:48:18 UTC	(20031019_2)

  Modified files:
    modules/core         m_server.c 
  Log:
  D'OH! ms_server needs to SetService too.  This fixes the SVS* issues
  
  Revision  Changes    Path
  1.7       +3 -2      oftc-hybrid/modules/core/m_server.c



stu         2003/10/19 11:44:42 UTC	(20031019_1)

  Modified files:
    src                  ircd_parser.y 
  Log:
  Say, lets not let users set god mode, eh?
  
  Revision  Changes    Path
  1.10      +4 -0      oftc-hybrid/src/ircd_parser.y



stu         2003/10/15 16:04:38 UTC	(20031015_0)

  Modified files:        (Branch: STABLE)
    include              patchlevel.h serno.h 
    modules              m_who.c 
    modules/core         m_message.c m_sjoin.c 
    src                  adns.c 
  Log:
  - Bring STABLE up to date with bug fixes I committed to the wrong branch.
  - Fix adns bug.
  - MFC m_who.c
  - Rev patchlevel
  
  Revision  Changes    Path
  1.5.2.1   +2 -2      oftc-hybrid/include/patchlevel.h
  1.25.2.1  +2 -1      oftc-hybrid/include/serno.h
  1.4.2.2   +3 -1      oftc-hybrid/modules/core/m_message.c
  1.1.4.1   +5 -2      oftc-hybrid/modules/core/m_sjoin.c
  1.6.2.2   +73 -26    oftc-hybrid/modules/m_who.c
  1.3.2.1   +3 -1      oftc-hybrid/src/adns.c



stu         2003/10/19 10:14:17 UTC	(20031019_0)

  Modified files:
    modules              m_svscloak.c m_svsmode.c m_svsnick.c 
  Log:
  svs* missing params
  
  Revision  Changes    Path
  1.12      +2 -2      oftc-hybrid/modules/m_svscloak.c
  1.10      +2 -2      oftc-hybrid/modules/m_svsmode.c
  1.9       +2 -2      oftc-hybrid/modules/m_svsnick.c



dbharris    2003/10/15 00:09:00 UTC	(20031015_0)

  Modified files:
    include              patchlevel.h 
  Log:
  Bump test-version to test4, from test3
  
  Revision  Changes    Path
  1.7       +1 -1      oftc-hybrid/include/patchlevel.h



dbharris    2003/10/14 23:52:48 UTC	(20031014_0)

  Modified files:
    src                  s_serv.c 
  Log:
  Remove duplicate 'Link with %s established' notice. Kept the one which shows IP address.
  
  Revision  Changes    Path
  1.14      +0 -4      oftc-hybrid/src/s_serv.c



stu         2003/10/08 21:26:03 UTC	(20031008_0)

  Modified files:
    modules              m_who.c 
  Log:
  server field changed type
  
  Revision  Changes    Path
  1.15      +8 -8      oftc-hybrid/modules/m_who.c



stu         2003/09/22 00:30:11 UTC	(20030922_1)

  Modified files:
    src                  messages.tab 
  Log:
  ERR_WHOSYNTAX was mysteriously missing
  
  Revision  Changes    Path
  1.5       +2 -1      oftc-hybrid/src/messages.tab



stu         2003/09/22 00:08:53 UTC	(20030922_0)

  Modified files:
    modules              m_who.c 
  Log:
  yay, we have a m_who that does what it's supposed to, yay!
  
  Revision  Changes    Path
  1.14      +65 -17    oftc-hybrid/modules/m_who.c



stu         2003/09/20 15:46:53 UTC	(20030920_1)

  Modified files:
    modules              m_who.c 
  Log:
  removed help for +i, we dont support it
  
  Revision  Changes    Path
  1.13      +7 -4      oftc-hybrid/modules/m_who.c



stu         2003/09/20 15:02:07 UTC	(20030920_0)

  Modified files:
    modules              m_who.c 
  Log:
  (Hopefully) fix +M and related crashes
  
  Revision  Changes    Path
  1.12      +2 -2      oftc-hybrid/modules/m_who.c



stu         2003/09/03 19:21:16 UTC	(20030903_0)

  Modified files:
    modules              Makefile.in m_cs.c 
  Log:
  m_cs.c got left out of the makefile
  
  Revision  Changes    Path
  1.8       +1 -0      oftc-hybrid/modules/Makefile.in
  1.3       +2 -1      oftc-hybrid/modules/m_cs.c



stu         2003/08/17 10:32:51 UTC	(20030817_0)

  Modified files:
    contrib              m_help.c 
    contrib/help/opers   index motd squit stats ungline unkline 
                         unresv version 
    etc                  example.efnet.conf 
    modules              m_xline.c 
  Added files:
    contrib/help/opers   unxline xline 
  Log:
  syncing with hybrid
  
  Revision  Changes    Path
  1.2       +3 -3      oftc-hybrid/contrib/help/opers/index
  1.2       +1 -2      oftc-hybrid/contrib/help/opers/motd
  1.2       +2 -1      oftc-hybrid/contrib/help/opers/squit
  1.2       +4 -2      oftc-hybrid/contrib/help/opers/stats
  1.2       +1 -1      oftc-hybrid/contrib/help/opers/ungline
  1.2       +7 -0      oftc-hybrid/contrib/help/opers/unkline
  1.2       +8 -1      oftc-hybrid/contrib/help/opers/unresv
  1.1       +11 -0     oftc-hybrid/contrib/help/opers/unxline (new)
  1.2       +1 -2      oftc-hybrid/contrib/help/opers/version
  1.1       +18 -0     oftc-hybrid/contrib/help/opers/xline (new)
  1.2       +23 -3     oftc-hybrid/contrib/m_help.c
  1.2       +3 -9      oftc-hybrid/etc/example.efnet.conf
  1.2       +12 -16    oftc-hybrid/modules/m_xline.c



stu         2003/08/16 16:29:07 UTC	(20030816_7)

  Modified files:
    modules              m_who.c 
  Log:
  fixed bug due to new membership lark in who
  
  Revision  Changes    Path
  1.11      +4 -2      oftc-hybrid/modules/m_who.c



stu         2003/08/16 16:06:02 UTC	(20030816_6)

  Modified files:
    src                  channel_mode.c 
  Log:
  fixed god mode noticed for MODE
  Also disabled sending keys
  
  Revision  Changes    Path
  1.13      +16 -4     oftc-hybrid/src/channel_mode.c



stu         2003/08/16 15:40:36 UTC	(20030816_5)

  Modified files:
    modules/core         m_server.c 
  Log:
  removed annoying "foo introduced server bar" notices
  
  Revision  Changes    Path
  1.6       +1 -8      oftc-hybrid/modules/core/m_server.c



stu         2003/08/16 15:16:33 UTC	(20030816_4)

  Modified files:
    modules/core         m_join.c 
  Log:
  oopsie, probably the first of many.. missed a god mode usage notice
  
  Revision  Changes    Path
  1.2       +13 -1     oftc-hybrid/modules/core/m_join.c



stu         2003/08/16 14:47:23 UTC	(20030816_3)

  Modified files:
    modules              Makefile.in m_map.c m_svscloak.c 
                         m_svsmode.c spy_admin_notice.c 
                         spy_info_notice.c spy_links_notice.c 
                         spy_motd_notice.c spy_stats_notice.c 
                         spy_stats_p_notice.c spy_trace_notice.c 
                         spy_whois_notice.c 
  Log:
  Added our modules to makefile.in properly.. and modified them to the new stuff
  in current
  
  Revision  Changes    Path
  1.7       +1 -1      oftc-hybrid/modules/Makefile.in
  1.8       +35 -24    oftc-hybrid/modules/m_map.c
  1.11      +3 -2      oftc-hybrid/modules/m_svscloak.c
  1.9       +3 -3      oftc-hybrid/modules/m_svsmode.c
  1.3       +2 -2      oftc-hybrid/modules/spy_admin_notice.c
  1.3       +2 -2      oftc-hybrid/modules/spy_info_notice.c
  1.3       +2 -2      oftc-hybrid/modules/spy_links_notice.c
  1.3       +2 -2      oftc-hybrid/modules/spy_motd_notice.c
  1.3       +4 -4      oftc-hybrid/modules/spy_stats_notice.c
  1.3       +2 -2      oftc-hybrid/modules/spy_stats_p_notice.c
  1.3       +3 -3      oftc-hybrid/modules/spy_trace_notice.c
  1.8       +3 -3      oftc-hybrid/modules/spy_whois_notice.c



stu         2003/08/16 12:44:42 UTC	(20030816_2)

  Modified files:
    .                    configure configure.ac 
    modules              Makefile.in m_gnotice.c m_hs.c m_ns.c 
                         m_os.c m_spingtime.c m_svscloak.c 
                         m_svsmode.c m_svsnick.c 
  Log:
  - oftc modules got missed from the makefile
  - removed -O2 from build flags
  
  Revision  Changes    Path
  1.6       +3 -3      oftc-hybrid/configure
  1.2       +3 -3      oftc-hybrid/configure.ac
  1.6       +22 -1     oftc-hybrid/modules/Makefile.in
  1.4       +1 -3      oftc-hybrid/modules/m_gnotice.c
  1.3       +2 -1      oftc-hybrid/modules/m_hs.c
  1.3       +2 -1      oftc-hybrid/modules/m_ns.c
  1.3       +2 -1      oftc-hybrid/modules/m_os.c
  1.6       +1 -2      oftc-hybrid/modules/m_spingtime.c
  1.10      +1 -2      oftc-hybrid/modules/m_svscloak.c
  1.8       +1 -2      oftc-hybrid/modules/m_svsmode.c
  1.8       +1 -2      oftc-hybrid/modules/m_svsnick.c



stu         2003/08/16 11:57:33 UTC	(20030816_1)

  Modified files:
    include              patchlevel.h 
    modules              m_kline.c m_resv.c 
    src                  s_auth.c send.c 
  Log:
  - merged a couple of new patches from hybrid and fixed a core in
    sendto_gnotice
  
  Revision  Changes    Path
  1.6       +2 -2      oftc-hybrid/include/patchlevel.h
  1.7       +4 -6      oftc-hybrid/modules/m_kline.c
  1.8       +13 -13    oftc-hybrid/modules/m_resv.c
  1.6       +1 -1      oftc-hybrid/src/s_auth.c
  1.13      +2 -2      oftc-hybrid/src/send.c



stu         2003/08/16 10:45:21 UTC	(20030816_0)

  Modified files:
    src                  ircd_parser.y s_conf.c send.c 
  Removed files:
    src                  .depend 
  Log:
  - .depends arent in cvs anymore
  - fixed wrong pointer in send.c
  - fixed conf parser
  
  Revision  Changes    Path
  1.5       +0 -428    oftc-hybrid/src/.depend (dead)
  1.9       +0 -1      oftc-hybrid/src/ircd_parser.y
  1.14      +4 -0      oftc-hybrid/src/s_conf.c
  1.12      +1 -1      oftc-hybrid/src/send.c



stu         2003/08/15 17:28:20 UTC	(20030815_0)

  Modified files:
    include              channel.h defaults.h numeric.h s_conf.h 
                         s_log.h 
    modules              m_gline.c m_topic.c m_who.c m_whois.c 
    modules/core         m_kick.c m_message.c m_server.c 
    src                  channel_mode.c client.c csvlib.c 
                         dynlink.c ircd_lexer.l ircd_parser.y 
                         messages.tab s_conf.c s_log.c s_serv.c 
                         s_user.c send.c 
  Log:
  And the rest of the merging.. woot
  
  Revision  Changes      Path
  1.6       +2 -0        oftc-hybrid/include/channel.h
  1.5       +1 -0        oftc-hybrid/include/defaults.h
  1.5       +1 -1        oftc-hybrid/include/numeric.h
  1.7       +3 -1        oftc-hybrid/include/s_conf.h
  1.4       +1 -0        oftc-hybrid/include/s_log.h
  1.8       +3 -2        oftc-hybrid/modules/core/m_kick.c
  1.9       +3 -3        oftc-hybrid/modules/core/m_message.c
  1.5       +2 -2        oftc-hybrid/modules/core/m_server.c
  1.5       +436 -392    oftc-hybrid/modules/m_gline.c
  1.6       +155 -192    oftc-hybrid/modules/m_topic.c
  1.10      +30 -50      oftc-hybrid/modules/m_who.c
  1.8       +8 -7        oftc-hybrid/modules/m_whois.c
  1.12      +213 -335    oftc-hybrid/src/channel_mode.c
  1.24      +112 -192    oftc-hybrid/src/client.c
  1.2       +1 -0        oftc-hybrid/src/csvlib.c
  1.6       +1 -1        oftc-hybrid/src/dynlink.c
  1.6       +3 -11       oftc-hybrid/src/ircd_lexer.l
  1.8       +40 -2       oftc-hybrid/src/ircd_parser.y
  1.4       +1002 -1009  oftc-hybrid/src/messages.tab
  1.13      +13 -0       oftc-hybrid/src/s_conf.c
  1.6       +22 -1       oftc-hybrid/src/s_log.c
  1.13      +13 -12      oftc-hybrid/src/s_serv.c
  1.13      +8 -3        oftc-hybrid/src/s_user.c
  1.11      +56 -6       oftc-hybrid/src/send.c



stu         2003/08/14 07:51:22 UTC	(20030814_0)

  Modified files:
    .                    .cvsignore BUGS Hybrid-team INSTALL 
                         Makefile.in README.FIRST README.PLATFORMS 
                         RELNOTES TODO configure 
    contrib              .cvsignore Makefile.in README 
                         example_module.c m_clearchan.c m_flags.c 
                         m_force.c m_jupe.c m_ltrace.c m_map.c 
                         m_mkpasswd.c m_ojoin.c m_operspy.c 
                         m_opme.c m_tburst.c m_whois.c 
                         spy_admin_notice.c spy_info_notice.c 
                         spy_links_notice.c spy_motd_notice.c 
                         spy_stats_notice.c spy_stats_p_notice.c 
                         spy_trace_notice.c spy_whois_notice.c 
    doc                  Makefile.in index.txt ircd.8 messages.txt 
                         modeg.txt modes.txt resv.txt 
                         server-version-info serverhide.txt 
                         whats-new.txt 
    doc/technical        Persistent_Clients.txt README.openssl 
                         cryptlink.txt hostmask.txt index.txt 
                         send.txt ts5.txt whats-new-code.txt 
    iauth                Makefile.in 
    iauth/include        log.h setup.h 
    iauth/source         .cvsignore Makefile.in auth.c iauth.c 
                         log.c misc.c res.c sock.c 
    include              Makefile.in balloc.h channel.h 
                         channel_mode.h client.h common.h 
                         defaults.h event.h fdlist.h fileio.h 
                         handlers.h hash.h hook.h hostmask.h 
                         irc_string.h ircd.h ircd_defs.h 
                         ircd_getopt.h ircd_handler.h list.h 
                         listener.h m_info.h memory.h modules.h 
                         motd.h msg.h numeric.h packet.h parse.h 
                         restart.h resv.h rsa.h s_bsd.h s_conf.h 
                         s_debug.h s_gline.h s_log.h s_misc.h 
                         s_serv.h s_stats.h s_user.h send.h 
                         setup.h.in sprintf_irc.h stdinc.h 
                         supported.h tools.h whowas.h 
    messages             Makefile.in 
    modules              .cvsignore Makefile.in m_accept.c 
                         m_admin.c m_away.c m_capab.c m_cburst.c 
                         m_challenge.c m_close.c m_connect.c 
                         m_cryptlink.c m_dmem.c m_drop.c m_eob.c 
                         m_gline.c m_gnotice.c m_info.c m_invite.c 
                         m_ison.c m_kline.c m_knock.c m_links.c 
                         m_list.c m_lljoin.c m_llnick.c m_locops.c 
                         m_log.c m_lusers.c m_map.c m_motd.c 
                         m_names.c m_nburst.c m_oper.c 
                         m_operwall.c m_pass.c m_ping.c m_pong.c 
                         m_post.c m_rehash.c m_restart.c m_resv.c 
                         m_set.c m_spingtime.c m_stats.c 
                         m_svinfo.c m_svscloak.c m_svsmode.c 
                         m_svsnick.c m_testline.c m_time.c 
                         m_topic.c m_trace.c m_user.c m_userhost.c 
                         m_users.c m_version.c m_wallops.c m_who.c 
                         m_whois.c m_whowas.c spy_admin_notice.c 
                         spy_info_notice.c spy_links_notice.c 
                         spy_motd_notice.c spy_stats_notice.c 
                         spy_stats_p_notice.c spy_trace_notice.c 
                         spy_whois_notice.c 
    modules/core         m_die.c m_kick.c m_kill.c m_message.c 
                         m_mode.c m_nick.c m_part.c m_quit.c 
                         m_server.c m_sjoin.c m_squit.c 
    servlink             .cvsignore Makefile.in control.c io.c 
                         servlink.c 
    src                  .cvsignore .depend Makefile.in balloc.c 
                         channel.c channel_mode.c client.c crypt.c 
                         dynlink.c event.c fdlist.c fileio.c 
                         getopt.c hash.c hook.c hostmask.c 
                         irc_res.c irc_string.c ircd.c 
                         ircd_lexer.l ircd_parser.y ircd_signal.c 
                         ircdauth.c list.c listener.c m_error.c 
                         match.c memory.c modules.c motd.c 
                         numeric.c packet.c parse.c restart.c 
                         resv.c rsa.c s_auth.c s_bsd.c 
                         s_bsd_devpoll.c s_bsd_kqueue.c 
                         s_bsd_poll.c s_bsd_select.c s_bsd_sigio.c 
                         s_conf.c s_debug.c s_gline.c s_log.c 
                         s_misc.c s_serv.c s_stats.c s_user.c 
                         send.c sprintf_irc.c tools.c version.c.SH 
                         whowas.c 
    tools                Makefile.in convertconf.c convertilines.c 
                         convertklines.c encspeed.c mkkeypair 
                         mkpasswd.c viconf.c 
    tools/rsa_respond    .cvsignore README respond.c 
  Added files:
    .                    HOWTO-CVS configure.ac install-sh 
    contrib              m_classlist.c m_ctrace.c m_help.c 
                         m_killhost.c m_omotd.c vms.diff 
    contrib/help/opers   accept admin away capab cburst challenge 
                         cjoin client close cmode connect credits 
                         cryptlink die dline dmem drop eob error 
                         gline help index info invite ison join 
                         kick kill kline knock knockll links list 
                         lljoin llnick locops lusers modlist 
                         modload modrestart modunload motd names 
                         nburst nick notice oper operwall part 
                         pass ping pong post privmsg quit rehash 
                         restart resv server set sjoin squit stats 
                         svinfo testline time topic trace uhelp 
                         umode undline ungline unkline unresv user 
                         userhost users version wallops who whois 
                         whowas 
    contrib/help/users   index info notice privmsg stats umode 
    doc                  channels.txt 
    etc                  .cvsignore Makefile.in example.conf 
                         example.conf.quick example.efnet.conf 
                         simple.conf 
    iauth                BROKEN 
    include              cluster.h control.h dalloca.h dbuf.h 
                         inet_misc.h io.h rlimits.h servlink.h 
                         userhost.h 
    messages             README ayb.lang ircd-croatian.lang 
                         ircd-danish.lang ircd-dutch.lang 
                         ircd-french.lang ircd-german.lang 
                         ircd-norwegian.lang ircd-polish.lang 
                         ircd-russian.lang ircd-spanish.lang 
                         ircd-standard.example.lang 
                         ircd-swedish.lang 
    modules              m_encap.c m_xline.c 
    modules/core         m_join.c 
    src                  cluster.c csvlib.c dbuf.c inet_misc.c 
    tools/rsa_respond    Makefile.in configure configure.ac 
  Removed files:
    .                    README.VMS clean.com make.com 
    adns                 .cvsignore GPL-vs-LGPL Makefile.in 
    autoconf             acconfig.h configure.in install-sh 
    contrib              README.disable_identd disable_identd.diff 
    doc                  README.cidr_bans convertconf-example.conf 
                         example.conf example.conf.quick 
                         example.efnet.conf ircd.motd simple.conf 
                         vchans.txt 
    doc/technical        linebuf.txt message-customisation.txt 
    help                 .cvsignore Makefile.in 
    help/opers           accept admin away capab cburst challenge 
                         cjoin client close cmode connect credits 
                         cryptlink die dline dmem drop eob error 
                         gline help index info invite ison join 
                         kick kill kline knock knockll links list 
                         lljoin llnick locops lusers modlist 
                         modload modrestart modunload motd names 
                         nburst nick notice oper operwall part 
                         pass ping pong post privmsg quit rehash 
                         restart resv server set sjoin squit stats 
                         svinfo testline time topic trace uhelp 
                         umode undline ungline unkline unresv user 
                         userhost users version wallops who whois 
                         whowas 
    help/users           index info notice privmsg stats umode 
    include              class.h config.h config.h.dist linebuf.h 
                         m_kline.h md5.h s_zip.h scache.h 
                         setup.h_vms vchannel.h 
    messages             ayb.po build_one create_po custom.po 
    messages/translations .cvsignore Makefile.in README 
                          ircd-croatian.po ircd-danish.po 
                          ircd-dutch.po ircd-german.po 
                          ircd-norwegian.po ircd-spanish.po 
                          ircd-swedish.po 
    modules              .depend descrip.mms m_cjoin.c m_help.c 
                         m_join.c m_spiffy.c m_unkline.c 
    modules/core         descrip.mms 
    servlink             control.h descrip.mms io.h servlink.h 
                         setup.h.in 
    src                  adns.c class.c descrip.mms kdparse.c 
                         linebuf.c md5.c scache.c vchannel.c 
                         version.com 
    tools                descrip.mms 
    tools/rsa_respond    Makefile 
  Log:
  merge of hybrid-current code.
  the tree WILL NOT build at this time.  You have been warned.
  
  Revision  Changes      Path
  1.2       +3 -1        oftc-hybrid/.cvsignore
  1.38      +14 -28      oftc-hybrid/BUGS
  1.1       +60 -0       oftc-hybrid/HOWTO-CVS (new)
  1.6       +9 -5        oftc-hybrid/Hybrid-team
  1.5       +68 -141     oftc-hybrid/INSTALL
  1.3       +33 -66      oftc-hybrid/Makefile.in
  1.3       +27 -25      oftc-hybrid/README.FIRST
  1.3       +18 -13      oftc-hybrid/README.PLATFORMS
  1.2       +0 -47       oftc-hybrid/README.VMS (dead)
  1.5       +22 -7       oftc-hybrid/RELNOTES
  1.6       +24 -16      oftc-hybrid/TODO
  1.2       +0 -1        oftc-hybrid/adns/.cvsignore (dead)
  1.2       +0 -122      oftc-hybrid/adns/GPL-vs-LGPL (dead)
  1.2       +0 -81       oftc-hybrid/adns/Makefile.in (dead)
  1.3       +0 -84       oftc-hybrid/autoconf/acconfig.h (dead)
  1.5       +0 -1033     oftc-hybrid/autoconf/configure.in (dead)
  1.2       +0 -250      oftc-hybrid/autoconf/install-sh (dead)
  1.2       +0 -10       oftc-hybrid/clean.com (dead)
  1.5       +4142 -3414  oftc-hybrid/configure
  1.1       +1200 -0     oftc-hybrid/configure.ac (new)
  1.2       +1 -0        oftc-hybrid/contrib/.cvsignore
  1.2       +127 -49     oftc-hybrid/contrib/Makefile.in
  1.4       +14 -32      oftc-hybrid/contrib/README
  1.2       +0 -17       oftc-hybrid/contrib/README.disable_identd (dead)
  1.2       +0 -87       oftc-hybrid/contrib/disable_identd.diff (dead)
  1.2       +27 -20      oftc-hybrid/contrib/example_module.c
  1.1       +8 -0        oftc-hybrid/contrib/help/opers/accept (new)
  1.1       +11 -0       oftc-hybrid/contrib/help/opers/admin (new)
  1.1       +4 -0        oftc-hybrid/contrib/help/opers/away (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/capab (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/cburst (new)
  1.1       +10 -0       oftc-hybrid/contrib/help/opers/challenge (new)
  1.1       +4 -0        oftc-hybrid/contrib/help/opers/cjoin (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/client (new)
  1.1       +4 -0        oftc-hybrid/contrib/help/opers/close (new)
  1.1       +88 -0       oftc-hybrid/contrib/help/opers/cmode (new)
  1.1       +16 -0       oftc-hybrid/contrib/help/opers/connect (new)
  1.1       +10 -0       oftc-hybrid/contrib/help/opers/credits (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/cryptlink (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/die (new)
  1.1       +12 -0       oftc-hybrid/contrib/help/opers/dline (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/dmem (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/drop (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/eob (new)
  1.1       +8 -0        oftc-hybrid/contrib/help/opers/error (new)
  1.1       +11 -0       oftc-hybrid/contrib/help/opers/gline (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/help (new)
  1.1       +23 -0       oftc-hybrid/contrib/help/opers/index (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/info (new)
  1.1       +4 -0        oftc-hybrid/contrib/help/opers/invite (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/ison (new)
  1.1       +14 -0       oftc-hybrid/contrib/help/opers/join (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/kick (new)
  1.1       +5 -0        oftc-hybrid/contrib/help/opers/kill (new)
  1.1       +27 -0       oftc-hybrid/contrib/help/opers/kline (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/knock (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/knockll (new)
  1.1       +17 -0       oftc-hybrid/contrib/help/opers/links (new)
  1.1       +24 -0       oftc-hybrid/contrib/help/opers/list (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/lljoin (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/llnick (new)
  1.1       +4 -0        oftc-hybrid/contrib/help/opers/locops (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/lusers (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/modlist (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/modload (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/modrestart (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/modunload (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/motd (new)
  1.1       +11 -0       oftc-hybrid/contrib/help/opers/names (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/nburst (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/nick (new)
  1.1       +36 -0       oftc-hybrid/contrib/help/opers/notice (new)
  1.1       +8 -0        oftc-hybrid/contrib/help/opers/oper (new)
  1.1       +4 -0        oftc-hybrid/contrib/help/opers/operwall (new)
  1.1       +9 -0        oftc-hybrid/contrib/help/opers/part (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/pass (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/ping (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/pong (new)
  1.1       +5 -0        oftc-hybrid/contrib/help/opers/post (new)
  1.1       +36 -0       oftc-hybrid/contrib/help/opers/privmsg (new)
  1.1       +5 -0        oftc-hybrid/contrib/help/opers/quit (new)
  1.1       +11 -0       oftc-hybrid/contrib/help/opers/rehash (new)
  1.1       +5 -0        oftc-hybrid/contrib/help/opers/restart (new)
  1.1       +9 -0        oftc-hybrid/contrib/help/opers/resv (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/server (new)
  1.1       +35 -0       oftc-hybrid/contrib/help/opers/set (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/sjoin (new)
  1.1       +4 -0        oftc-hybrid/contrib/help/opers/squit (new)
  1.1       +38 -0       oftc-hybrid/contrib/help/opers/stats (new)
  1.1       +1 -0        oftc-hybrid/contrib/help/opers/svinfo (new)
  1.1       +5 -0        oftc-hybrid/contrib/help/opers/testline (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/time (new)
  1.1       +10 -0       oftc-hybrid/contrib/help/opers/topic (new)
  1.1       +11 -0       oftc-hybrid/contrib/help/opers/trace (new)
  1.1       +5 -0        oftc-hybrid/contrib/help/opers/uhelp (new)
  1.1       +26 -0       oftc-hybrid/contrib/help/opers/umode (new)
  1.1       +5 -0        oftc-hybrid/contrib/help/opers/undline (new)
  1.1       +8 -0        oftc-hybrid/contrib/help/opers/ungline (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/unkline (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/unresv (new)
  1.1       +7 -0        oftc-hybrid/contrib/help/opers/user (new)
  1.1       +10 -0       oftc-hybrid/contrib/help/opers/userhost (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/users (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/version (new)
  1.1       +6 -0        oftc-hybrid/contrib/help/opers/wallops (new)
  1.1       +36 -0       oftc-hybrid/contrib/help/opers/who (new)
  1.1       +8 -0        oftc-hybrid/contrib/help/opers/whois (new)
  1.1       +8 -0        oftc-hybrid/contrib/help/opers/whowas (new)
  1.1       +13 -0       oftc-hybrid/contrib/help/users/index (new)
  1.1       +4 -0        oftc-hybrid/contrib/help/users/info (new)
  1.1       +19 -0       oftc-hybrid/contrib/help/users/notice (new)
  1.1       +19 -0       oftc-hybrid/contrib/help/users/privmsg (new)
  1.1       +15 -0       oftc-hybrid/contrib/help/users/stats (new)
  1.1       +10 -0       oftc-hybrid/contrib/help/users/umode (new)
  1.1       +110 -0      oftc-hybrid/contrib/m_classlist.c (new)
  1.2       +130 -241    oftc-hybrid/contrib/m_clearchan.c
  1.1       +226 -0      oftc-hybrid/contrib/m_ctrace.c (new)
  1.2       +50 -47      oftc-hybrid/contrib/m_flags.c
  1.3       +164 -166    oftc-hybrid/contrib/m_force.c
  1.1       +212 -0      oftc-hybrid/contrib/m_help.c (new)
  1.3       +72 -81      oftc-hybrid/contrib/m_jupe.c
  1.1       +220 -0      oftc-hybrid/contrib/m_killhost.c (new)
  1.2       +109 -108    oftc-hybrid/contrib/m_ltrace.c
  1.2       +25 -19      oftc-hybrid/contrib/m_map.c
  1.2       +37 -34      oftc-hybrid/contrib/m_mkpasswd.c
  1.2       +114 -129    oftc-hybrid/contrib/m_ojoin.c
  1.1       +72 -0       oftc-hybrid/contrib/m_omotd.c (new)
  1.3       +235 -319    oftc-hybrid/contrib/m_operspy.c
  1.3       +71 -137     oftc-hybrid/contrib/m_opme.c
  1.3       +32 -31      oftc-hybrid/contrib/m_tburst.c
  1.4       +223 -382    oftc-hybrid/contrib/m_whois.c
  1.4       +5 -4        oftc-hybrid/contrib/spy_admin_notice.c
  1.4       +5 -5        oftc-hybrid/contrib/spy_info_notice.c
  1.3       +5 -4        oftc-hybrid/contrib/spy_links_notice.c
  1.3       +5 -4        oftc-hybrid/contrib/spy_motd_notice.c
  1.3       +9 -8        oftc-hybrid/contrib/spy_stats_notice.c
  1.3       +5 -4        oftc-hybrid/contrib/spy_stats_p_notice.c
  1.3       +7 -6        oftc-hybrid/contrib/spy_trace_notice.c
  1.3       +15 -8       oftc-hybrid/contrib/spy_whois_notice.c
  1.1       +1364 -0     oftc-hybrid/contrib/vms.diff (new)
  1.2       +8 -80       oftc-hybrid/doc/Makefile.in
  1.2       +0 -17       oftc-hybrid/doc/README.cidr_bans (dead)
  1.1       +36 -0       oftc-hybrid/doc/channels.txt (new)
  1.3       +0 -467      oftc-hybrid/doc/convertconf-example.conf (dead)
  1.3       +0 -869      oftc-hybrid/doc/example.conf (dead)
  1.2       +0 -343      oftc-hybrid/doc/example.conf.quick (dead)
  1.3       +0 -957      oftc-hybrid/doc/example.efnet.conf (dead)
  1.2       +6 -3        oftc-hybrid/doc/index.txt
  1.2       +66 -70      oftc-hybrid/doc/ircd.8
  1.2       +0 -1        oftc-hybrid/doc/ircd.motd (dead)
  1.2       +27 -69      oftc-hybrid/doc/messages.txt
  1.2       +2 -2        oftc-hybrid/doc/modeg.txt
  1.2       +17 -11      oftc-hybrid/doc/modes.txt
  1.2       +18 -24      oftc-hybrid/doc/resv.txt
  1.2       +3 -5        oftc-hybrid/doc/server-version-info
  1.2       +9 -30       oftc-hybrid/doc/serverhide.txt
  1.2       +0 -113      oftc-hybrid/doc/simple.conf (dead)
  1.2       +2 -3        oftc-hybrid/doc/technical/Persistent_Clients.txt
  1.2       +8 -17       oftc-hybrid/doc/technical/README.openssl
  1.2       +12 -12      oftc-hybrid/doc/technical/cryptlink.txt
  1.2       +2 -2        oftc-hybrid/doc/technical/hostmask.txt
  1.2       +1 -2        oftc-hybrid/doc/technical/index.txt
  1.2       +0 -139      oftc-hybrid/doc/technical/linebuf.txt (dead)
  1.2       +0 -56       oftc-hybrid/doc/technical/message-customisation.txt (dead)
  1.3       +2 -2        oftc-hybrid/doc/technical/send.txt
  1.2       +3 -3        oftc-hybrid/doc/technical/ts5.txt
  1.2       +1 -6        oftc-hybrid/doc/technical/whats-new-code.txt
  1.2       +0 -132      oftc-hybrid/doc/vchans.txt (dead)
  1.3       +80 -267     oftc-hybrid/doc/whats-new.txt
  1.1       +1 -0        oftc-hybrid/etc/.cvsignore (new)
  1.1       +55 -0       oftc-hybrid/etc/Makefile.in (new)
  1.1       +932 -0      oftc-hybrid/etc/example.conf (new)
  1.1       +375 -0      oftc-hybrid/etc/example.conf.quick (new)
  1.1       +1009 -0     oftc-hybrid/etc/example.efnet.conf (new)
  1.1       +120 -0      oftc-hybrid/etc/simple.conf (new)
  1.2       +0 -1        oftc-hybrid/help/.cvsignore (dead)
  1.2       +0 -92       oftc-hybrid/help/Makefile.in (dead)
  1.2       +0 -8        oftc-hybrid/help/opers/accept (dead)
  1.2       +0 -11       oftc-hybrid/help/opers/admin (dead)
  1.2       +0 -4        oftc-hybrid/help/opers/away (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/capab (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/cburst (dead)
  1.2       +0 -10       oftc-hybrid/help/opers/challenge (dead)
  1.2       +0 -4        oftc-hybrid/help/opers/cjoin (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/client (dead)
  1.2       +0 -4        oftc-hybrid/help/opers/close (dead)
  1.2       +0 -88       oftc-hybrid/help/opers/cmode (dead)
  1.2       +0 -16       oftc-hybrid/help/opers/connect (dead)
  1.2       +0 -10       oftc-hybrid/help/opers/credits (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/cryptlink (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/die (dead)
  1.2       +0 -11       oftc-hybrid/help/opers/dline (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/dmem (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/drop (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/eob (dead)
  1.2       +0 -8        oftc-hybrid/help/opers/error (dead)
  1.2       +0 -11       oftc-hybrid/help/opers/gline (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/help (dead)
  1.2       +0 -23       oftc-hybrid/help/opers/index (dead)
  1.2       +0 -5        oftc-hybrid/help/opers/info (dead)
  1.2       +0 -4        oftc-hybrid/help/opers/invite (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/ison (dead)
  1.2       +0 -13       oftc-hybrid/help/opers/join (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/kick (dead)
  1.2       +0 -5        oftc-hybrid/help/opers/kill (dead)
  1.3       +0 -26       oftc-hybrid/help/opers/kline (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/knock (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/knockll (dead)
  1.2       +0 -17       oftc-hybrid/help/opers/links (dead)
  1.2       +0 -12       oftc-hybrid/help/opers/list (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/lljoin (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/llnick (dead)
  1.2       +0 -4        oftc-hybrid/help/opers/locops (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/lusers (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/modlist (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/modload (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/modrestart (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/modunload (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/motd (dead)
  1.2       +0 -11       oftc-hybrid/help/opers/names (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/nburst (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/nick (dead)
  1.2       +0 -36       oftc-hybrid/help/opers/notice (dead)
  1.2       +0 -8        oftc-hybrid/help/opers/oper (dead)
  1.2       +0 -4        oftc-hybrid/help/opers/operwall (dead)
  1.2       +0 -9        oftc-hybrid/help/opers/part (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/pass (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/ping (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/pong (dead)
  1.2       +0 -5        oftc-hybrid/help/opers/post (dead)
  1.2       +0 -36       oftc-hybrid/help/opers/privmsg (dead)
  1.2       +0 -5        oftc-hybrid/help/opers/quit (dead)
  1.3       +0 -11       oftc-hybrid/help/opers/rehash (dead)
  1.2       +0 -5        oftc-hybrid/help/opers/restart (dead)
  1.2       +0 -9        oftc-hybrid/help/opers/resv (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/server (dead)
  1.2       +0 -33       oftc-hybrid/help/opers/set (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/sjoin (dead)
  1.2       +0 -4        oftc-hybrid/help/opers/squit (dead)
  1.2       +0 -38       oftc-hybrid/help/opers/stats (dead)
  1.2       +0 -1        oftc-hybrid/help/opers/svinfo (dead)
  1.2       +0 -5        oftc-hybrid/help/opers/testline (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/time (dead)
  1.2       +0 -10       oftc-hybrid/help/opers/topic (dead)
  1.2       +0 -11       oftc-hybrid/help/opers/trace (dead)
  1.2       +0 -5        oftc-hybrid/help/opers/uhelp (dead)
  1.2       +0 -25       oftc-hybrid/help/opers/umode (dead)
  1.2       +0 -5        oftc-hybrid/help/opers/undline (dead)
  1.2       +0 -8        oftc-hybrid/help/opers/ungline (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/unkline (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/unresv (dead)
  1.2       +0 -7        oftc-hybrid/help/opers/user (dead)
  1.2       +0 -10       oftc-hybrid/help/opers/userhost (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/users (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/version (dead)
  1.2       +0 -6        oftc-hybrid/help/opers/wallops (dead)
  1.2       +0 -36       oftc-hybrid/help/opers/who (dead)
  1.2       +0 -8        oftc-hybrid/help/opers/whois (dead)
  1.2       +0 -8        oftc-hybrid/help/opers/whowas (dead)
  1.2       +0 -13       oftc-hybrid/help/users/index (dead)
  1.2       +0 -4        oftc-hybrid/help/users/info (dead)
  1.2       +0 -19       oftc-hybrid/help/users/notice (dead)
  1.2       +0 -19       oftc-hybrid/help/users/privmsg (dead)
  1.2       +0 -15       oftc-hybrid/help/users/stats (dead)
  1.2       +0 -10       oftc-hybrid/help/users/umode (dead)
  1.1       +3 -0        oftc-hybrid/iauth/BROKEN (new)
  1.2       +2 -2        oftc-hybrid/iauth/Makefile.in
  1.2       +4 -2        oftc-hybrid/iauth/include/log.h
  1.2       +0 -2        oftc-hybrid/iauth/include/setup.h
  1.2       +1 -0        oftc-hybrid/iauth/source/.cvsignore
  1.2       +1 -4        oftc-hybrid/iauth/source/Makefile.in
  1.2       +2 -1        oftc-hybrid/iauth/source/auth.c
  1.2       +5 -12       oftc-hybrid/iauth/source/iauth.c
  1.2       +3 -3        oftc-hybrid/iauth/source/log.c
  1.2       +2 -1        oftc-hybrid/iauth/source/misc.c
  1.2       +7 -7        oftc-hybrid/iauth/source/res.c
  1.2       +4 -3        oftc-hybrid/iauth/source/sock.c
  1.3       +11 -20      oftc-hybrid/include/Makefile.in
  1.3       +2 -8        oftc-hybrid/include/balloc.h
  1.5       +69 -126     oftc-hybrid/include/channel.h
  1.3       +27 -75      oftc-hybrid/include/channel_mode.h
  1.3       +0 -76       oftc-hybrid/include/class.h (dead)
  1.10      +208 -280    oftc-hybrid/include/client.h
  1.1       +60 -0       oftc-hybrid/include/cluster.h (new)
  1.3       +1 -6        oftc-hybrid/include/common.h
  1.4       +0 -369      oftc-hybrid/include/config.h (dead)
  1.4       +0 -360      oftc-hybrid/include/config.h.dist (dead)
  1.1       +63 -0       oftc-hybrid/include/control.h (new)
  1.1       +47 -0       oftc-hybrid/include/dalloca.h (new)
  1.1       +49 -0       oftc-hybrid/include/dbuf.h (new)
  1.4       +60 -32      oftc-hybrid/include/defaults.h
  1.4       +2 -4        oftc-hybrid/include/event.h
  1.4       +1 -10       oftc-hybrid/include/fdlist.h
  1.3       +8 -1        oftc-hybrid/include/fileio.h
  1.3       +3 -3        oftc-hybrid/include/handlers.h
  1.3       +26 -59      oftc-hybrid/include/hash.h
  1.4       +33 -34      oftc-hybrid/include/hook.h
  1.5       +24 -26      oftc-hybrid/include/hostmask.h
  1.1       +161 -0      oftc-hybrid/include/inet_misc.h (new)
  1.1       +48 -0       oftc-hybrid/include/io.h (new)
  1.4       +19 -20      oftc-hybrid/include/irc_string.h
  1.5       +45 -55      oftc-hybrid/include/ircd.h
  1.5       +6 -19       oftc-hybrid/include/ircd_defs.h
  1.3       +4 -6        oftc-hybrid/include/ircd_getopt.h
  1.3       +2 -1        oftc-hybrid/include/ircd_handler.h
  1.3       +0 -83       oftc-hybrid/include/linebuf.h (dead)
  1.3       +11 -20      oftc-hybrid/include/list.h
  1.4       +12 -10      oftc-hybrid/include/listener.h
  1.3       +13 -59      oftc-hybrid/include/m_info.h
  1.3       +0 -44       oftc-hybrid/include/m_kline.h (dead)
  1.3       +0 -48       oftc-hybrid/include/md5.h (dead)
  1.3       +22 -20      oftc-hybrid/include/memory.h
  1.4       +43 -20      oftc-hybrid/include/modules.h
  1.3       +10 -11      oftc-hybrid/include/motd.h
  1.4       +18 -17      oftc-hybrid/include/msg.h
  1.4       +18 -32      oftc-hybrid/include/numeric.h
  1.3       +2 -2        oftc-hybrid/include/packet.h
  1.3       +10 -19      oftc-hybrid/include/parse.h
  1.3       +3 -4        oftc-hybrid/include/restart.h
  1.3       +15 -37      oftc-hybrid/include/resv.h
  1.1       +31 -0       oftc-hybrid/include/rlimits.h (new)
  1.3       +4 -4        oftc-hybrid/include/rsa.h
  1.5       +5 -9        oftc-hybrid/include/s_bsd.h
  1.6       +288 -228    oftc-hybrid/include/s_conf.h
  1.3       +4 -22       oftc-hybrid/include/s_debug.h
  1.3       +19 -21      oftc-hybrid/include/s_gline.h
  1.3       +10 -5       oftc-hybrid/include/s_log.h
  1.3       +2 -2        oftc-hybrid/include/s_misc.h
  1.4       +71 -100     oftc-hybrid/include/s_serv.h
  1.3       +1 -3        oftc-hybrid/include/s_stats.h
  1.4       +31 -22      oftc-hybrid/include/s_user.h
  1.3       +0 -54       oftc-hybrid/include/s_zip.h (dead)
  1.3       +0 -32       oftc-hybrid/include/scache.h (dead)
  1.5       +22 -24      oftc-hybrid/include/send.h
  1.1       +114 -0      oftc-hybrid/include/servlink.h (new)
  1.4       +254 -134    oftc-hybrid/include/setup.h.in
  1.4       +0 -126      oftc-hybrid/include/setup.h_vms (dead)
  1.3       +4 -4        oftc-hybrid/include/sprintf_irc.h
  1.3       +38 -20      oftc-hybrid/include/stdinc.h
  1.3       +27 -26      oftc-hybrid/include/supported.h
  1.5       +146 -47     oftc-hybrid/include/tools.h
  1.1       +51 -0       oftc-hybrid/include/userhost.h (new)
  1.3       +0 -95       oftc-hybrid/include/vchannel.h (dead)
  1.3       +9 -14       oftc-hybrid/include/whowas.h
  1.1       +270 -0      oftc-hybrid/install-sh (new)
  1.2       +0 -58       oftc-hybrid/make.com (dead)
  1.2       +37 -71      oftc-hybrid/messages/Makefile.in
  1.1       +42 -0       oftc-hybrid/messages/README (new)
  1.1       +30 -0       oftc-hybrid/messages/ayb.lang (new)
  1.2       +0 -901      oftc-hybrid/messages/ayb.po (dead)
  1.2       +0 -26       oftc-hybrid/messages/build_one (dead)
  1.2       +0 -17       oftc-hybrid/messages/create_po (dead)
  1.2       +0 -899      oftc-hybrid/messages/custom.po (dead)
  1.1       +95 -0       oftc-hybrid/messages/ircd-croatian.lang (new)
  1.1       +93 -0       oftc-hybrid/messages/ircd-danish.lang (new)
  1.1       +90 -0       oftc-hybrid/messages/ircd-dutch.lang (new)
  1.1       +116 -0      oftc-hybrid/messages/ircd-french.lang (new)
  1.1       +95 -0       oftc-hybrid/messages/ircd-german.lang (new)
  1.1       +91 -0       oftc-hybrid/messages/ircd-norwegian.lang (new)
  1.1       +99 -0       oftc-hybrid/messages/ircd-polish.lang (new)
  1.1       +94 -0       oftc-hybrid/messages/ircd-russian.lang (new)
  1.1       +100 -0      oftc-hybrid/messages/ircd-spanish.lang (new)
  1.1       +129 -0      oftc-hybrid/messages/ircd-standard.example.lang (new)
  1.1       +92 -0       oftc-hybrid/messages/ircd-swedish.lang (new)
  1.2       +0 -2        oftc-hybrid/messages/translations/.cvsignore (dead)
  1.2       +0 -77       oftc-hybrid/messages/translations/Makefile.in (dead)
  1.2       +0 -40       oftc-hybrid/messages/translations/README (dead)
  1.2       +0 -895      oftc-hybrid/messages/translations/ircd-croatian.po (dead)
  1.2       +0 -897      oftc-hybrid/messages/translations/ircd-danish.po (dead)
  1.2       +0 -899      oftc-hybrid/messages/translations/ircd-dutch.po (dead)
  1.2       +0 -909      oftc-hybrid/messages/translations/ircd-german.po (dead)
  1.2       +0 -901      oftc-hybrid/messages/translations/ircd-norwegian.po (dead)
  1.2       +0 -897      oftc-hybrid/messages/translations/ircd-spanish.po (dead)
  1.2       +0 -904      oftc-hybrid/messages/translations/ircd-swedish.po (dead)
  1.2       +2 -0        oftc-hybrid/modules/.cvsignore
  1.4       +0 -849      oftc-hybrid/modules/.depend (dead)
  1.5       +44 -83      oftc-hybrid/modules/Makefile.in
  1.2       +0 -18       oftc-hybrid/modules/core/descrip.mms (dead)
  1.3       +44 -46      oftc-hybrid/modules/core/m_die.c
  1.1       +391 -0      oftc-hybrid/modules/core/m_join.c (new)
  1.7       +107 -155    oftc-hybrid/modules/core/m_kick.c
  1.4       +140 -136    oftc-hybrid/modules/core/m_kill.c
  1.8       +161 -188    oftc-hybrid/modules/core/m_message.c
  1.2       +66 -118     oftc-hybrid/modules/core/m_mode.c
  1.4       +262 -255    oftc-hybrid/modules/core/m_nick.c
  1.4       +56 -81      oftc-hybrid/modules/core/m_part.c
  1.3       +17 -32      oftc-hybrid/modules/core/m_quit.c
  1.4       +583 -316    oftc-hybrid/modules/core/m_server.c
  1.3       +427 -642    oftc-hybrid/modules/core/m_sjoin.c
  1.8       +109 -147    oftc-hybrid/modules/core/m_squit.c
  1.4       +0 -30       oftc-hybrid/modules/descrip.mms (dead)
  1.3       +57 -63      oftc-hybrid/modules/m_accept.c
  1.3       +49 -45      oftc-hybrid/modules/m_admin.c
  1.3       +160 -55     oftc-hybrid/modules/m_away.c
  1.3       +18 -23      oftc-hybrid/modules/m_capab.c
  1.3       +25 -30      oftc-hybrid/modules/m_cburst.c
  1.4       +62 -73      oftc-hybrid/modules/m_challenge.c
  1.3       +0 -226      oftc-hybrid/modules/m_cjoin.c (dead)
  1.4       +23 -23      oftc-hybrid/modules/m_close.c
  1.4       +187 -128    oftc-hybrid/modules/m_connect.c
  1.4       +89 -115     oftc-hybrid/modules/m_cryptlink.c
  1.4       +4 -2        oftc-hybrid/modules/m_dmem.c
  1.3       +7 -8        oftc-hybrid/modules/m_drop.c
  1.1       +135 -0      oftc-hybrid/modules/m_encap.c (new)
  1.3       +7 -6        oftc-hybrid/modules/m_eob.c
  1.4       +2 -4        oftc-hybrid/modules/m_gline.c
  1.3       +2 -2        oftc-hybrid/modules/m_gnotice.c
  1.5       +0 -218      oftc-hybrid/modules/m_help.c (dead)
  1.4       +84 -109     oftc-hybrid/modules/m_info.c
  1.8       +51 -101     oftc-hybrid/modules/m_invite.c
  1.3       +22 -23      oftc-hybrid/modules/m_ison.c
  1.7       +0 -505      oftc-hybrid/modules/m_join.c (dead)
  1.6       +847 -467    oftc-hybrid/modules/m_kline.c
  1.3       +82 -157     oftc-hybrid/modules/m_knock.c
  1.3       +30 -28      oftc-hybrid/modules/m_links.c
  1.4       +139 -236    oftc-hybrid/modules/m_list.c
  1.4       +56 -169     oftc-hybrid/modules/m_lljoin.c
  1.3       +7 -8        oftc-hybrid/modules/m_llnick.c
  1.3       +43 -17      oftc-hybrid/modules/m_locops.c
  1.4       +3 -2        oftc-hybrid/modules/m_log.c
  1.3       +29 -33      oftc-hybrid/modules/m_lusers.c
  1.7       +1 -1        oftc-hybrid/modules/m_map.c
  1.5       +20 -21      oftc-hybrid/modules/m_motd.c
  1.3       +105 -159    oftc-hybrid/modules/m_names.c
  1.3       +10 -14      oftc-hybrid/modules/m_nburst.c
  1.5       +80 -124     oftc-hybrid/modules/m_oper.c
  1.3       +29 -38      oftc-hybrid/modules/m_operwall.c
  1.3       +30 -26      oftc-hybrid/modules/m_pass.c
  1.4       +14 -17      oftc-hybrid/modules/m_ping.c
  1.4       +34 -45      oftc-hybrid/modules/m_pong.c
  1.4       +11 -13      oftc-hybrid/modules/m_post.c
  1.5       +60 -57      oftc-hybrid/modules/m_rehash.c
  1.3       +24 -29      oftc-hybrid/modules/m_restart.c
  1.7       +245 -141    oftc-hybrid/modules/m_resv.c
  1.3       +116 -114    oftc-hybrid/modules/m_set.c
  1.5       +0 -717      oftc-hybrid/modules/m_spiffy.c (dead)
  1.5       +2 -2        oftc-hybrid/modules/m_spingtime.c
  1.5       +255 -226    oftc-hybrid/modules/m_stats.c
  1.4       +13 -7       oftc-hybrid/modules/m_svinfo.c
  1.9       +3 -1        oftc-hybrid/modules/m_svscloak.c
  1.7       +2 -2        oftc-hybrid/modules/m_svsmode.c
  1.7       +2 -2        oftc-hybrid/modules/m_svsnick.c
  1.5       +71 -77      oftc-hybrid/modules/m_testline.c
  1.3       +10 -8       oftc-hybrid/modules/m_time.c
  1.5       +2 -3        oftc-hybrid/modules/m_topic.c
  1.4       +228 -172    oftc-hybrid/modules/m_trace.c
  1.7       +0 -591      oftc-hybrid/modules/m_unkline.c (dead)
  1.3       +19 -21      oftc-hybrid/modules/m_user.c
  1.3       +7 -7        oftc-hybrid/modules/m_userhost.c
  1.3       +10 -8       oftc-hybrid/modules/m_users.c
  1.3       +50 -67      oftc-hybrid/modules/m_version.c
  1.4       +28 -34      oftc-hybrid/modules/m_wallops.c
  1.9       +1 -2        oftc-hybrid/modules/m_who.c
  1.7       +165 -222    oftc-hybrid/modules/m_whois.c
  1.5       +75 -81      oftc-hybrid/modules/m_whowas.c
  1.1       +456 -0      oftc-hybrid/modules/m_xline.c (new)
  1.2       +2 -2        oftc-hybrid/modules/spy_admin_notice.c
  1.2       +2 -2        oftc-hybrid/modules/spy_info_notice.c
  1.2       +2 -2        oftc-hybrid/modules/spy_links_notice.c
  1.2       +2 -2        oftc-hybrid/modules/spy_motd_notice.c
  1.2       +2 -2        oftc-hybrid/modules/spy_stats_notice.c
  1.2       +2 -2        oftc-hybrid/modules/spy_stats_p_notice.c
  1.2       +2 -2        oftc-hybrid/modules/spy_trace_notice.c
  1.7       +2 -2        oftc-hybrid/modules/spy_whois_notice.c
  1.2       +1 -1        oftc-hybrid/servlink/.cvsignore
  1.2       +22 -31      oftc-hybrid/servlink/Makefile.in
  1.2       +14 -42      oftc-hybrid/servlink/control.c
  1.2       +0 -63       oftc-hybrid/servlink/control.h (dead)
  1.2       +0 -15       oftc-hybrid/servlink/descrip.mms (dead)
  1.2       +71 -74      oftc-hybrid/servlink/io.c
  1.2       +0 -48       oftc-hybrid/servlink/io.h (dead)
  1.2       +9 -13       oftc-hybrid/servlink/servlink.c
  1.3       +0 -114      oftc-hybrid/servlink/servlink.h (dead)
  1.2       +0 -28       oftc-hybrid/servlink/setup.h.in (dead)
  1.2       +1 -0        oftc-hybrid/src/.cvsignore
  1.4       +428 -293    oftc-hybrid/src/.depend
  1.4       +88 -108     oftc-hybrid/src/Makefile.in
  1.4       +0 -291      oftc-hybrid/src/adns.c (dead)
  1.4       +48 -40      oftc-hybrid/src/balloc.c
  1.7       +328 -808    oftc-hybrid/src/channel.c
  1.11      +198 -1041   oftc-hybrid/src/channel_mode.c
  1.4       +0 -345      oftc-hybrid/src/class.c (dead)
  1.23      +534 -570    oftc-hybrid/src/client.c
  1.1       +166 -0      oftc-hybrid/src/cluster.c (new)
  1.3       +1 -7        oftc-hybrid/src/crypt.c
  1.1       +638 -0      oftc-hybrid/src/csvlib.c (new)
  1.1       +114 -0      oftc-hybrid/src/dbuf.c (new)
  1.3       +0 -41       oftc-hybrid/src/descrip.mms (dead)
  1.5       +146 -143    oftc-hybrid/src/dynlink.c
  1.5       +52 -57      oftc-hybrid/src/event.c
  1.3       +18 -21      oftc-hybrid/src/fdlist.c
  1.4       +68 -21      oftc-hybrid/src/fileio.c
  1.3       +14 -17      oftc-hybrid/src/getopt.c
  1.4       +962 -572    oftc-hybrid/src/hash.c
  1.4       +80 -81      oftc-hybrid/src/hook.c
  1.5       +150 -102    oftc-hybrid/src/hostmask.c
  1.1       +507 -0      oftc-hybrid/src/inet_misc.c (new)
  1.2       +1 -1        oftc-hybrid/src/irc_res.c
  1.3       +138 -293    oftc-hybrid/src/irc_string.c
  1.6       +284 -341    oftc-hybrid/src/ircd.c
  1.5       +37 -34      oftc-hybrid/src/ircd_lexer.l
  1.7       +1931 -1791  oftc-hybrid/src/ircd_parser.y
  1.5       +7 -3        oftc-hybrid/src/ircd_signal.c
  1.5       +19 -22      oftc-hybrid/src/ircdauth.c
  1.4       +0 -172      oftc-hybrid/src/kdparse.c (dead)
  1.4       +0 -696      oftc-hybrid/src/linebuf.c (dead)
  1.6       +52 -138     oftc-hybrid/src/list.c
  1.5       +97 -90      oftc-hybrid/src/listener.c
  1.5       +28 -34      oftc-hybrid/src/m_error.c
  1.4       +53 -46      oftc-hybrid/src/match.c
  1.4       +0 -352      oftc-hybrid/src/md5.c (dead)
  1.11      +33 -28      oftc-hybrid/src/memory.c
  1.5       +378 -306    oftc-hybrid/src/modules.c
  1.5       +102 -99     oftc-hybrid/src/motd.c
  1.3       +189 -11     oftc-hybrid/src/numeric.c
  1.9       +118 -109    oftc-hybrid/src/packet.c
  1.8       +470 -488    oftc-hybrid/src/parse.c
  1.4       +17 -26      oftc-hybrid/src/restart.c
  1.5       +155 -151    oftc-hybrid/src/resv.c
  1.3       +39 -35      oftc-hybrid/src/rsa.c
  1.5       +3 -4        oftc-hybrid/src/s_auth.c
  1.10      +90 -80      oftc-hybrid/src/s_bsd.c
  1.4       +164 -192    oftc-hybrid/src/s_bsd_devpoll.c
  1.4       +98 -140     oftc-hybrid/src/s_bsd_kqueue.c
  1.5       +112 -137    oftc-hybrid/src/s_bsd_poll.c
  1.4       +93 -125     oftc-hybrid/src/s_bsd_select.c
  1.4       +180 -214    oftc-hybrid/src/s_bsd_sigio.c
  1.12      +1909 -1481  oftc-hybrid/src/s_conf.c
  1.5       +204 -232    oftc-hybrid/src/s_debug.c
  1.3       +66 -85      oftc-hybrid/src/s_gline.c
  1.5       +92 -119     oftc-hybrid/src/s_log.c
  1.4       +23 -18      oftc-hybrid/src/s_misc.c
  1.12      +1104 -1092  oftc-hybrid/src/s_serv.c
  1.4       +58 -59      oftc-hybrid/src/s_stats.c
  1.12      +950 -888    oftc-hybrid/src/s_user.c
  1.4       +0 -135      oftc-hybrid/src/scache.c (dead)
  1.10      +499 -723    oftc-hybrid/src/send.c
  1.3       +6 -6        oftc-hybrid/src/sprintf_irc.c
  1.4       +101 -11     oftc-hybrid/src/tools.c
  1.4       +0 -591      oftc-hybrid/src/vchannel.c (dead)
  1.3       +11 -12      oftc-hybrid/src/version.c.SH
  1.2       +0 -101      oftc-hybrid/src/version.com (dead)
  1.11      +92 -71      oftc-hybrid/src/whowas.c
  1.2       +24 -109     oftc-hybrid/tools/Makefile.in
  1.2       +29 -34      oftc-hybrid/tools/convertconf.c
  1.2       +17 -18      oftc-hybrid/tools/convertilines.c
  1.2       +11 -12      oftc-hybrid/tools/convertklines.c
  1.2       +0 -25       oftc-hybrid/tools/descrip.mms (dead)
  1.3       +6 -7        oftc-hybrid/tools/encspeed.c
  1.2       +53 -4       oftc-hybrid/tools/mkkeypair
  1.2       +322 -50     oftc-hybrid/tools/mkpasswd.c
  1.2       +1 -1        oftc-hybrid/tools/rsa_respond/.cvsignore
  1.3       +0 -17       oftc-hybrid/tools/rsa_respond/Makefile (dead)
  1.1       +18 -0       oftc-hybrid/tools/rsa_respond/Makefile.in (new)
  1.3       +6 -5        oftc-hybrid/tools/rsa_respond/README
  1.1       +3110 -0     oftc-hybrid/tools/rsa_respond/configure (new)
  1.1       +40 -0       oftc-hybrid/tools/rsa_respond/configure.ac (new)
  1.4       +2 -1        oftc-hybrid/tools/rsa_respond/respond.c
  1.2       +43 -53      oftc-hybrid/tools/viconf.c



stu         2003/08/13 20:30:31 UTC	(20030813_2)

  oftc-hybrid/contrib/help/users - New directory



stu         2003/08/13 20:30:02 UTC	(20030813_1)

  oftc-hybrid/contrib/help/opers - New directory



stu         2003/08/13 20:29:46 UTC	(20030813_0)

  oftc-hybrid/contrib/help - New directory



stu         2003/08/05 18:03:59 UTC	(20030805_0)

  oftc-hybrid/etc - New directory



stu         2003/08/04 17:18:06 UTC	(20030804_1)

  Modified files:
    .                    Makefile.in configure 
    autoconf             configure.in 
    include              client.h fdlist.h hostmask.h irc_string.h 
                         ircd_defs.h listener.h s_auth.h s_bsd.h 
                         s_conf.h 
    modules              .depend m_dmem.c m_kline.c m_map.c 
                         m_rehash.c m_testline.c m_trace.c 
                         m_unkline.c m_who.c 
    src                  .depend Makefile.in client.c dynlink.c 
                         hostmask.c ircd.c ircd_parser.y list.c 
                         listener.c match.c motd.c resv.c s_auth.c 
                         s_bsd.c s_bsd_poll.c s_conf.c s_debug.c 
                         s_misc.c s_serv.c s_user.c 
  Added files:
    include              irc_getaddrinfo.h irc_getnameinfo.h 
                         irc_res.h irc_reslib.h 
    src                  irc_getaddrinfo.c irc_getnameinfo.c 
                         irc_res.c irc_reslib.c 
  Removed files:
    adns                 COPYING README README.ircd adns.h check.c 
                         descrip.mms dlist.h event.c general.c 
                         internal.h parse.c query.c reply.c 
                         setup.c transmit.c tvarith.h types.c 
    include              res.h 
  Log:
  Reviewed by: Me
  Approved by: Me
  Obtained from: Hybrid upstream (largly me)
  - Removed adns(yay!)
  - Added new resolver from hybrid
  - Added new ipv6 code from hybrid
  
  Revision  Changes      Path
  1.2       +2 -2        oftc-hybrid/Makefile.in
  1.2       +0 -340      oftc-hybrid/adns/COPYING (dead)
  1.2       +0 -167      oftc-hybrid/adns/README (dead)
  1.2       +0 -11       oftc-hybrid/adns/README.ircd (dead)
  1.3       +0 -876      oftc-hybrid/adns/adns.h (dead)
  1.2       +0 -220      oftc-hybrid/adns/check.c (dead)
  1.2       +0 -22       oftc-hybrid/adns/descrip.mms (dead)
  1.2       +0 -60       oftc-hybrid/adns/dlist.h (dead)
  1.2       +0 -723      oftc-hybrid/adns/event.c (dead)
  1.2       +0 -352      oftc-hybrid/adns/general.c (dead)
  1.3       +0 -717      oftc-hybrid/adns/internal.h (dead)
  1.3       +0 -250      oftc-hybrid/adns/parse.c (dead)
  1.3       +0 -623      oftc-hybrid/adns/query.c (dead)
  1.2       +0 -373      oftc-hybrid/adns/reply.c (dead)
  1.2       +0 -697      oftc-hybrid/adns/setup.c (dead)
  1.2       +0 -273      oftc-hybrid/adns/transmit.c (dead)
  1.2       +0 -43       oftc-hybrid/adns/tvarith.h (dead)
  1.3       +0 -1248     oftc-hybrid/adns/types.c (dead)
  1.4       +1 -2        oftc-hybrid/autoconf/configure.in
  1.4       +1674 -1056  oftc-hybrid/configure
  1.9       +7 -8        oftc-hybrid/include/client.h
  1.3       +3 -4        oftc-hybrid/include/fdlist.h
  1.4       +11 -11      oftc-hybrid/include/hostmask.h
  1.1       +71 -0       oftc-hybrid/include/irc_getaddrinfo.h (new)
  1.1       +37 -0       oftc-hybrid/include/irc_getnameinfo.h (new)
  1.1       +94 -0       oftc-hybrid/include/irc_res.h (new)
  1.1       +57 -0       oftc-hybrid/include/irc_reslib.h (new)
  1.3       +4 -2        oftc-hybrid/include/irc_string.h
  1.4       +13 -70      oftc-hybrid/include/ircd_defs.h
  1.3       +2 -5        oftc-hybrid/include/listener.h
  1.4       +0 -53       oftc-hybrid/include/res.h (dead)
  1.4       +10 -11      oftc-hybrid/include/s_auth.h
  1.4       +6 -2        oftc-hybrid/include/s_bsd.h
  1.5       +10 -9       oftc-hybrid/include/s_conf.h
  1.3       +512 -376    oftc-hybrid/modules/.depend
  1.3       +2 -3        oftc-hybrid/modules/m_dmem.c
  1.5       +4 -4        oftc-hybrid/modules/m_kline.c
  1.6       +6 -3        oftc-hybrid/modules/m_map.c
  1.4       +2 -3        oftc-hybrid/modules/m_rehash.c
  1.4       +3 -3        oftc-hybrid/modules/m_testline.c
  1.3       +10 -3       oftc-hybrid/modules/m_trace.c
  1.6       +3 -3        oftc-hybrid/modules/m_unkline.c
  1.8       +2 -2        oftc-hybrid/modules/m_who.c
  1.3       +229 -397    oftc-hybrid/src/.depend
  1.3       +7 -4        oftc-hybrid/src/Makefile.in
  1.22      +7 -2        oftc-hybrid/src/client.c
  1.4       +2 -1        oftc-hybrid/src/dynlink.c
  1.4       +58 -39      oftc-hybrid/src/hostmask.c
  1.1       +609 -0      oftc-hybrid/src/irc_getaddrinfo.c (new)
  1.1       +235 -0      oftc-hybrid/src/irc_getnameinfo.c (new)
  1.1       +928 -0      oftc-hybrid/src/irc_res.c (new)
  1.1       +1175 -0     oftc-hybrid/src/irc_reslib.c (new)
  1.5       +1 -2        oftc-hybrid/src/ircd.c
  1.6       +42 -11      oftc-hybrid/src/ircd_parser.y
  1.5       +2 -2        oftc-hybrid/src/list.c
  1.4       +86 -75      oftc-hybrid/src/listener.c
  1.3       +51 -29      oftc-hybrid/src/match.c
  1.4       +1 -2        oftc-hybrid/src/motd.c
  1.4       +2 -1        oftc-hybrid/src/resv.c
  1.4       +251 -272    oftc-hybrid/src/s_auth.c
  1.9       +171 -95     oftc-hybrid/src/s_bsd.c
  1.4       +1 -2        oftc-hybrid/src/s_bsd_poll.c
  1.11      +98 -84      oftc-hybrid/src/s_conf.c
  1.4       +0 -1        oftc-hybrid/src/s_debug.c
  1.3       +1 -2        oftc-hybrid/src/s_misc.c
  1.11      +77 -57      oftc-hybrid/src/s_serv.c
  1.11      +4 -2        oftc-hybrid/src/s_user.c



stu         2003/08/04 11:26:55 UTC	(20030804_0)

  Modified files:
    modules              m_who.c 
  Log:
  Reviewed by: Me
  Approved by: Me
  Noticed by: Hawkwind
  
  Fixed a nice little bug in m_who where here people where gone and gone people
  were here.
  
  Revision  Changes    Path
  1.7       +10 -10    oftc-hybrid/modules/m_who.c



dbharris    2003/06/11 07:38:56 UTC	(20030611_2)

  Removed files:
    .                    foo 
  Log:
  More test.
  
  Revision  Changes    Path
  1.2       +0 -2      oftc-hybrid/foo (dead)



dbharris    2003/06/11 07:35:30 UTC	(20030611_1)

  Added files:
    .                    foo 
  Log:
  More test
  
  Revision  Changes    Path
  1.1       +2 -0      oftc-hybrid/foo (new)



dbharris    2003/06/11 07:33:37 UTC	(20030611_0)

  Modified files:
    .                    TODO.oftc 
  Log:
  Test commit
  
  Revision  Changes    Path
  1.4       +0 -8      oftc-hybrid/TODO.oftc



dbharris    2003/06/06 03:38:25 UTC	(20030606_0)

  Modified files:
    modules/core         m_sjoin.c 
  Log:
  Fix channel-mode +c syncing on burst/SJOIN
  
  Revision  Changes    Path
  1.2       +6 -2      oftc-hybrid/modules/core/m_sjoin.c



stu         2003/05/28 18:09:37 GMT	(20030528_5)

  Modified files:
    modules/core         m_message.c 
  Log:
  test
  
  Revision  Changes    Path
  1.7       +2 -2      oftc-hybrid/modules/core/m_message.c



stu         2003/05/28 18:03:16 GMT	(20030528_4)

  Modified files:        (Branch: STABLE)
    modules/core         m_message.c 
  Log:
  - backportage of fixes for parameteres
  
  Revision  Changes    Path
  1.4.2.1   +4 -4      oftc-hybrid/modules/core/m_message.c



stu         2003/05/28 09:44:22 GMT	(20030528_3)

  Modified files:
    .                    Hybrid-team 
  Log:
  I'm core team now :D
  
  Revision  Changes    Path
  1.5       +2 -2      oftc-hybrid/Hybrid-team



stu         2003/05/28 02:00:00 GMT	(20030528_2)

  Modified files:
    src                  s_debug.c 
  Log:
  lala
  
  Revision  Changes    Path
  1.3       +1 -1      oftc-hybrid/src/s_debug.c



2003-03-09 02:57  stu

	* README.FIRST: this should not work.

2003-03-09 02:56  stu

	* BUGS: testing

2003-03-09 02:01  stu

	* src/.depend, src/balloc.c, src/channel.c, src/channel_mode.c,
	src/client.c, src/fileio.c, src/ircd.c, src/ircd_signal.c,
	src/ircdauth.c, src/list.c, src/listener.c, src/m_error.c,
	src/modules.c, src/packet.c, src/parse.c, src/restart.c,
	src/s_bsd.c, src/s_conf.c, src/s_log.c, src/s_serv.c,
	src/s_stats.c, src/s_user.c, src/send.c, src/tools.c,
	src/vchannel.c, tools/encspeed.c, tools/rsa_respond/Makefile,
	tools/rsa_respond/respond.c: rc9..

2003-03-09 01:57  stu

	* doc/example.conf.quick, include/channel.h, include/client.h,
	include/config.h, include/config.h.dist, include/ircd.h,
	include/ircd_defs.h, include/patchlevel.h, include/s_conf.h,
	include/send.h, include/serno.h, include/setup.h.in,
	include/setup.h_vms, include/tools.h, modules/.depend,
	modules/m_close.c, modules/m_gline.c, modules/m_help.c,
	modules/m_invite.c, modules/m_join.c, modules/m_list.c,
	modules/m_lljoin.c, modules/m_motd.c, modules/m_post.c,
	modules/m_stats.c, modules/m_svinfo.c, modules/m_wallops.c,
	modules/m_whois.c, modules/m_whowas.c, modules/core/m_die.c,
	modules/core/m_kick.c, modules/core/m_kill.c,
	modules/core/m_message.c, modules/core/m_nick.c,
	modules/core/m_part.c, modules/core/m_quit.c,
	modules/core/m_server.c, modules/core/m_squit.c: rc9..

2003-03-09 01:53  stu

	* contrib/: README, challenge.irc, m_whois.c: [no log message]

2003-03-09 01:52  stu

	* autoconf/: acconfig.h, configure.in: Additions from rc9

2003-03-09 01:50  stu

	* BUGS, ChangeLog, Hybrid-team, RELNOTES, configure: Commiting
	merge to rc9

2003-02-20 20:59  elf

	* TODO: Test.

2003-02-20 20:07  stu

	* INSTALL: test

2003-02-20 00:12  stu

	* TODO: testy testy

2003-02-18 03:22  cry0gen

	* modules/m_who.c: fixes to m_who from Dianora.  Fixes who not
	displaying chanops

2003-02-03 02:31  cry0gen

	* src/s_serv.c: Added check for blank realhost before sending. 
	Resolves ticket 14

2003-01-30 18:52  cry0gen

	* include/serno.h: updated serial number

2003-01-30 18:52  cry0gen

	* src/s_serv.c: - Fixed duplicate gnotice in cryptlink error -
	Resolves ticket #8

2003-01-28 14:25  cry0gen

	* src/channel_mode.c: - Fix a bug in god mode noties for MODE
	sending a notice when no mode change   occured

2003-01-27 17:34  cry0gen

	* Hybrid-team: Merged with rc8

2003-01-26 02:16  cry0gen

	* modules/spy_whois_notice.c: Thinking about it.. we can send from
	me

2003-01-26 02:13  cry0gen

	* modules/spy_whois_notice.c: - should be using sendto_one

2003-01-26 02:10  cry0gen

	* modules/spy_whois_notice.c: send from the users server, not the
	user

2003-01-26 02:07  cry0gen

	* modules/spy_whois_notice.c: - temporary fix. Need to propogate
	FLAGS_SPY

2003-01-26 01:45  cry0gen

	* include/serno.h: increment serial

2003-01-26 01:44  cry0gen

	* modules/: m_whois.c, spy_whois_notice.c: - Made spy_whois notice
	global

2003-01-26 01:30  cry0gen

	* modules/Makefile.in: - Added spy notices to makefile

2003-01-26 01:28  cry0gen

	* contrib/: spy_admin_notice.c, spy_info_notice.c,
	spy_links_notice.c, spy_motd_notice.c, spy_stats_notice.c,
	spy_stats_p_notice.c, spy_trace_notice.c, spy_whois_notice.c: -
	restored rest of spy notice files in contrib/

2003-01-26 01:12  cry0gen

	* modules/: spy_links_notice.c, spy_motd_notice.c,
	spy_stats_notice.c, spy_stats_p_notice.c, spy_trace_notice.c,
	spy_whois_notice.c: - Added the rest of the spy notices to modules/

2003-01-26 00:47  cry0gen

	* contrib/spy_info_notice.c, modules/spy_info_notice.c: - Added our
	spy info message to modules/ - Restored contrib spy info

2003-01-26 00:43  cry0gen

	* contrib/spy_admin_notice.c, modules/spy_admin_notice.c: - Added
	our gnotice spy admin message to modules/ - Restored contrib spy
	admin notice

2003-01-26 00:31  cry0gen

	* src/send.c: - Slight formatting change

2003-01-24 23:07  cry0gen

	* modules/: m_invite.c, m_who.c: disabled +i in /who

2003-01-19 20:30  cry0gen

	* include/serno.h: updated serial

2003-01-19 20:29  cry0gen

	* include/client.h, include/s_bsd.h, src/client.c, src/packet.c,
	src/s_bsd.c, src/s_conf.c, src/s_serv.c, src/send.c: Commiting
	attempted fix from h7

2003-01-17 14:47  cry0gen

	* modules/m_help.c: leaky leaky leaky fds

2003-01-16 21:29  cry0gen

	* include/serno.h: serial

2003-01-16 21:28  cry0gen

	* modules/: m_cs.c, m_hs.c, m_ms.c, m_ns.c, m_os.c: All services
	commands now use the new user@server and added the longer versions
	nickserv etc

2003-01-16 20:47  cry0gen

	* modules/core/m_message.c: - allowed user@server messages as per
	hybrid cvs

2003-01-14 05:31  cry0gen

	* modules/m_kline.c: removed duplicate already placed message

2003-01-14 05:19  cry0gen

	* src/s_conf.c: no, not a gnotice.. two realops

2003-01-14 05:13  cry0gen

	* src/s_conf.c: Tits and peas.	That HAS to be a gnotice

2003-01-13 14:27  cry0gen

	* modules/m_map.c: Slight change in /map format

2003-01-13 04:27  cry0gen

	* include/: patchlevel.h, serno.h: 1.2.0, yay

2003-01-13 04:26  cry0gen

	* modules/m_unkline.c, src/s_conf.c: Fixed duplicate (un)kline
	messages

2003-01-13 04:10  cry0gen

	* include/serno.h: blah blah.. automate this

2003-01-13 04:09  cry0gen

	* modules/Makefile.in: Removed m_spiffy from the makefile

2003-01-13 04:09  cry0gen

	* modules/: m_spiffy.c, m_who.c: m_spiffy overhauled and actually
	works now.  Moved to primary who command.
	
	m_spiify is now around for archival purposes

2003-01-13 01:54  cry0gen

	* modules/m_whois.c: Readded whois realy notice and show all users

2003-01-12 22:53  cry0gen

	* modules/: m_spiffy.c, core/m_kick.c: - Fixed mass notice on Kick
	God mode - begun changes to m_spiffy

2003-01-12 21:24  cry0gen

	* include/serno.h: need to automate this..

2003-01-12 19:39  cry0gen

	* src/client.c: removed "split from" messages... again

2003-01-12 19:38  cry0gen

	* modules/m_map.c: Overhauled MAP.  Based on the one from contrib. 
	Users not allowed to map.  Remote servers are.	Ping times and user
	counts are displayed

2003-01-12 18:21  cry0gen

	* modules/m_map.c, src/messages.tab: Switched to contrib m_map..
	feels so much better to be running non dancer-code :)

2003-01-12 17:55  cry0gen

	* modules/m_map.c, src/client.c: fixed map once and for all..
	hopefully

2003-01-12 17:36  cry0gen

	* modules/core/m_kick.c: added include to m_kick

2003-01-12 05:21  cry0gen

	* modules/m_spingtime.c: SVSNICK -> SPINGTIME.. that has to be the
	dumbest error ever..

2003-01-12 05:04  cry0gen

	* modules/m_join.c, modules/m_topic.c, modules/m_unkline.c,
	modules/core/m_kick.c, src/channel_mode.c, src/s_conf.c: - removed
	duplicate gnotice in m_mode - 513 -> IRCD_BUFSIZE - snprintf ->
	ircsprintf - gnotice -> realops for kline notice

2003-01-12 04:30  cry0gen

	* modules/m_invite.c: Fixed m_invite for god mode

2003-01-12 03:19  cry0gen

	* modules/m_invite.c, modules/m_join.c, modules/m_topic.c,
	src/channel_mode.c: using constants instead of #defines is bad,
	mmkay

2003-01-12 01:25  cry0gen

	* include/s_serv.h: STARTUP_CONNECTIONS_TIME 60 -> 10
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-12 00:58  cry0gen

	* include/serno.h, src/ircd_lexer.l: updated serial
	
	Re-added our tokens to the lexer after merge
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-12 00:48  cry0gen

	* src/client.c: set dead in dead_link as per hybrid and put the
	gnotice back in
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-11 23:19  cry0gen

	* include/serno.h: serial++
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-11 22:42  cry0gen

	* src/client.c: Removed the notice from dead_link
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-11 04:08  cry0gen

	* include/serno.h: 
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-11 04:08  cry0gen

	* src/client.c: wrong params in gnotice
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-11 03:59  cry0gen

	* include/serno.h, src/client.c: DO NOT SEND TO A DEAD CLIENT, OK?
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-11 03:07  cry0gen

	* include/serno.h: serial++
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-11 03:05  cry0gen

	* include/client.h, src/channel_mode.c, src/client.c, src/packet.c,
	src/parse.c, src/s_bsd.c, src/s_serv.c, src/s_user.c, src/send.c:
	cleanup of exit_client stuff from hybrid

2003-01-09 06:33  cry0gen

	* include/serno.h: fix serno
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-09 06:08  cry0gen

	* include/serno.h: serial to 5
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-09 06:06  cry0gen

	* BUGS: reserting test
	
	Submitted by: Reviewed by: Approved by: Obtained from:

2003-01-09 06:05  cry0gen

	* RELNOTES, include/client.h, src/channel.c, src/channel_mode.c,
	src/client.c, src/ircdauth.c, src/packet.c, src/parse.c,
	src/s_bsd.c, src/s_serv.c, src/s_user.c, src/send.c: Fixed the
	major exit_client bug once and for all

2003-01-09 05:32  cry0gen

	* BUGS: test

2003-01-09 04:17  cry0gen

	* include/serno.h: serial..

2003-01-09 04:11  cry0gen

	* include/Makefile.in, include/balloc.h, include/channel.h,
	include/channel_mode.h, include/class.h, include/client.h,
	include/common.h, include/config.h, include/config.h.dist,
	include/defaults.h, include/event.h, include/fdlist.h,
	include/fileio.h, include/handlers.h, include/hash.h,
	include/hook.h, include/hostmask.h, include/irc_string.h,
	include/ircd.h, include/ircd_defs.h, include/ircd_getopt.h,
	include/ircd_handler.h, include/ircd_signal.h, include/ircdauth.h,
	include/linebuf.h, include/list.h, include/listener.h,
	include/m_info.h, include/m_kline.h, include/md5.h,
	include/memory.h, include/modules.h, include/motd.h, include/msg.h,
	include/numeric.h, include/packet.h, include/parse.h,
	include/patchlevel.h, include/res.h, include/restart.h,
	include/resv.h, include/rsa.h, include/s_auth.h, include/s_bsd.h,
	include/s_conf.h, include/s_debug.h, include/s_gline.h,
	include/s_log.h, include/s_misc.h, include/s_serv.h,
	include/s_stats.h, include/s_user.h, include/s_zip.h,
	include/scache.h, include/send.h, include/serno.h,
	include/setup.h_vms, include/sprintf_irc.h, include/stdinc.h,
	include/supported.h, include/tools.h, include/vchannel.h,
	include/whowas.h, src/Makefile.in, src/adns.c, src/balloc.c,
	src/channel.c, src/channel_mode.c, src/class.c, src/client.c,
	src/crypt.c, src/descrip.mms, src/dynlink.c, src/event.c,
	src/fdlist.c, src/fileio.c, src/getopt.c, src/hash.c, src/hook.c,
	src/hostmask.c, src/irc_string.c, src/ircd.c, src/ircd_lexer.l,
	src/ircd_parser.y, src/ircd_signal.c, src/ircdauth.c,
	src/kdparse.c, src/linebuf.c, src/list.c, src/listener.c,
	src/m_error.c, src/match.c, src/md5.c, src/memory.c,
	src/messages.tab, src/modules.c, src/motd.c, src/numeric.c,
	src/packet.c, src/parse.c, src/restart.c, src/resv.c, src/rsa.c,
	src/s_auth.c, src/s_bsd.c, src/s_bsd_devpoll.c, src/s_bsd_kqueue.c,
	src/s_bsd_poll.c, src/s_bsd_select.c, src/s_bsd_sigio.c,
	src/s_conf.c, src/s_debug.c, src/s_gline.c, src/s_log.c,
	src/s_misc.c, src/s_serv.c, src/s_stats.c, src/s_user.c,
	src/scache.c, src/send.c, src/snprintf.c, src/sprintf_irc.c,
	src/tools.c, src/vchannel.c, src/version.c.SH, src/whowas.c:
	reverting code back to rc6

2003-01-09 02:30  cry0gen

	* include/serno.h: serial AGAIN

2003-01-09 02:29  cry0gen

	* src/client.c: more debug, still not fixed :)

2003-01-09 02:02  cry0gen

	* include/serno.h: serial..

2003-01-09 02:02  cry0gen

	* include/client.h, src/channel.c, src/channel_mode.c,
	src/client.c, src/packet.c, src/parse.c, src/s_bsd.c, src/s_serv.c,
	src/s_user.c, src/send.c: alleged fixes for The Bug

2003-01-09 00:59  cry0gen

	* include/serno.h, src/client.c: yet more debug and serial changing

2003-01-09 00:48  cry0gen

	* include/serno.h: serial

2003-01-09 00:47  cry0gen

	* src/client.c: more debug

2003-01-09 00:12  cry0gen

	* include/serno.h: increment serno

2003-01-09 00:11  cry0gen

	* src/client.c: added debug code to track down a  bug

2003-01-06 02:45  cry0gen

	* include/serno.h: updated serial

2003-01-06 02:30  cry0gen

	* src/client.c: This got backed out, somehow

2002-12-21 14:44  cry0gen

	* src/client.c: Fixed that stupid kill-all-the-net bug that somehow
	creeped back in

2002-12-21 13:43  cry0gen

	* include/patchlevel.h: seems we have a stable release.  Patchlevel
	rc6+1.1.3

2002-12-21 13:16  cry0gen

	* src/: client.c, ircd_parser.y, s_conf.c: coule of tidy ups from
	the merge

2002-12-21 10:44  cry0gen

	* modules/m_challenge.c, modules/m_connect.c,
	modules/m_cryptlink.c, modules/m_info.c, modules/m_invite.c,
	modules/m_join.c, modules/m_kline.c, modules/m_motd.c,
	modules/m_oper.c, modules/m_ping.c, modules/m_rehash.c,
	modules/m_stats.c, modules/m_testline.c, modules/m_unkline.c,
	modules/m_who.c, modules/m_whois.c, modules/m_whowas.c,
	modules/core/m_kick.c, modules/core/m_kill.c,
	modules/core/m_message.c, modules/core/m_nick.c,
	modules/core/m_part.c, modules/core/m_server.c,
	modules/core/m_squit.c, src/adns.c, src/channel.c,
	src/channel_mode.c, src/class.c, src/client.c, src/dynlink.c,
	src/hash.c, src/hook.c, src/hostmask.c, src/ircd.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/ircd_signal.c,
	src/kdparse.c, src/linebuf.c, src/list.c, src/m_error.c, src/md5.c,
	src/modules.c, src/motd.c, src/packet.c, src/parse.c, src/resv.c,
	src/s_auth.c, src/s_bsd.c, src/s_bsd_devpoll.c, src/s_bsd_kqueue.c,
	src/s_bsd_poll.c, src/s_bsd_select.c, src/s_bsd_sigio.c,
	src/s_conf.c, src/s_log.c, src/s_serv.c, src/s_user.c,
	src/scache.c, src/send.c, src/whowas.c: Merged in modules and src. 
	Not quite done, committing to get a diff to fix a compile error.

2002-12-21 06:34  cry0gen

	* tools/rsa_respond/: README, respond.c: Merged tools with RC6 -
	added insecure mode to ./respond for CHALLENGE

2002-12-21 06:32  cry0gen

	* servlink/servlink.h: merged servlink to RC6.. a "const" addition

2002-12-21 06:29  cry0gen

	* help/opers/: kline, rehash: minor updates to help(merge with rc6)

2002-12-21 06:26  cry0gen

	* doc/: challenge.txt, convertconf-example.conf, example.conf,
	example.efnet.conf, whats-new.txt, technical/send.txt: merged doc
	to rc6.  Some minor updates.. see ChaneLog

2002-12-21 06:22  cry0gen

	* contrib/: README, m_force.c, m_jupe.c, m_operspy.c, m_opme.c,
	m_tburst.c, m_whois.c: Merged contrib with rc6.  Some interesting
	additions to operspy.. including /who stuff.

2002-12-21 06:11  cry0gen

	* BUGS, ChangeLog, Hybrid-team, INSTALL, README.PLATFORMS,
	RELNOTES, TODO, configure, autoconf/configure.in: Merged root
	folder(and autoconf) with rc6. Nothing special.

2002-12-21 05:47  cry0gen

	* include/: channel.h, client.h, defaults.h, event.h, hook.h,
	hostmask.h, ircd.h, modules.h, msg.h, numeric.h, res.h, s_auth.h,
	s_conf.h, s_user.h, send.h, serno.h, setup.h.in, tools.h: Merged
	include with rc6.  Lots of goodies and cleanups.  Most notable is
	the ability for opers to flood.

2002-12-21 05:30  cry0gen

	* adns/: adns.h, internal.h, parse.c, query.c, types.c: Merged adns
	with rc6.  Adds .arpa support for IPv6.

2002-12-10 19:41  cry0gen

	* src/ircd_parser.y: Fixed bison-doesnt-like-buggy-parser bug

2002-09-29 14:03  cry0gen

	* src/event.c: merged possible event overflow bug fix

2002-09-16 15:30  cry0gen

	* modules/m_oper.c: Added abililty to oper through cloak

2002-09-14 16:38  cry0gen

	* contrib/README.LMH: hybrid removed this, so we should too

2002-09-13 05:50  cry0gen

	* modules/m_resv.c: fix params to sendto_realops_flags

2002-09-13 05:45  cry0gen

	* modules/m_resv.c: more resv cleanups

2002-09-13 05:40  cry0gen

	* modules/m_resv.c: missed reason param in resv

2002-09-13 05:30  cry0gen

	* modules/m_resv.c: added global resvs

2002-09-13 05:04  cry0gen

	* modules/: m_pong.c, m_spingtime.c, m_svsnick.c: - Altered
	sendto_server calls in m_pong and m_spingtime.	- slight cleanup of
	svsnick

2002-09-13 04:43  cry0gen

	* modules/m_svsnick.c: converted to find_chasing.. just in case,
	and use MyClient instead of MyConnect

2002-09-13 04:30  elf

	* modules/m_svsmode.c: Altered whitespace to up revision number

2002-09-13 03:45  cry0gen

	* modules/m_svscloak.c: fixed revision tag

2002-09-13 03:40  elf

	* modules/core/m_squit.c: Restore whitespace to up Revision

2002-09-13 03:39  elf

	* modules/core/m_squit.c: Alter whitespace to up Revision

2002-09-13 03:34  elf

	* modules/core/m_squit.c: Up revision

2002-09-13 03:32  cry0gen

	* modules/m_svscloak.c: oops, missed the emptystring sanity check

2002-09-13 03:24  cry0gen

	* modules/: m_svsmode.c, m_svsnick.c: shouldnt need source_p in
	sendto_server

2002-09-13 03:23  cry0gen

	* modules/m_svsmode.c: clean up style

2002-09-13 03:20  cry0gen

	* modules/m_svsnick.c: Clean up formatting and check we're sending
	right params

2002-09-13 03:17  cry0gen

	* modules/m_svscloak.c: propgating svscloak wrong.. oops

2002-09-13 03:02  elf

	* modules/m_svscloak.c: Eeep, do it right this time.

2002-09-13 03:01  elf

	* modules/m_svscloak.c: Sorry, had to up m-svscloak.c's revision.

2002-09-13 02:57  cry0gen

	* modules/m_svscloak.c: if you're going to change something.. do it
	properly

2002-09-12 03:21  cry0gen

	* modules/core/m_squit.c: Cleaned up squit and removed wallops

2002-09-12 03:16  cry0gen

	* modules/: descrip.mms, core/descrip.mms, core/m_die.c,
	core/m_kick.c, core/m_kill.c, core/m_message.c, core/m_mode.c,
	core/m_nick.c, core/m_part.c, core/m_quit.c, core/m_server.c,
	core/m_sjoin.c, core/m_squit.c: Added the core directory, how did
	that not get added..?

2002-09-12 03:11  cry0gen

	* modules/m_svscloak.c: clean up svscloak

2002-09-12 02:50  cry0gen

	* modules/m_svsmode.c: Fixed behaviour of m_svsmode to be more sane

2002-09-12 02:46  cry0gen

	* modules/: Makefile.in, descrip.mms, m_accept.c, m_admin.c,
	m_away.c, m_capab.c, m_cburst.c, m_challenge.c, m_cjoin.c,
	m_close.c, m_connect.c, m_cryptlink.c, m_dmem.c, m_drop.c, m_eob.c,
	m_gline.c, m_gnotice.c, m_help.c, m_info.c, m_invite.c, m_ison.c,
	m_join.c, m_kline.c, m_knock.c, m_links.c, m_list.c, m_lljoin.c,
	m_llnick.c, m_locops.c, m_log.c, m_lusers.c, m_motd.c, m_names.c,
	m_nburst.c, m_oper.c, m_operwall.c, m_pass.c, m_ping.c, m_pong.c,
	m_post.c, m_rehash.c, m_restart.c, m_resv.c, m_set.c, m_spiffy.c,
	m_spingtime.c, m_stats.c, m_svinfo.c, m_svsmode.c, m_svsnick.c,
	m_testline.c, m_time.c, m_topic.c, m_trace.c, m_unkline.c,
	m_user.c, m_userhost.c, m_users.c, m_version.c, m_wallops.c,
	m_who.c, m_whois.c, m_whowas.c: - Fixed the way sendto_server is
	called in m_pong and corrected m_spingtime

2002-09-12 02:07  cry0gen

	* .cvsignore, .indent.pro, BUGS, ChangeLog, ChangeLog.oftc,
	Hybrid-team, INSTALL, LICENSE, Makefile.in, README.FIRST,
	README.PLATFORMS, README.VMS, RELNOTES, TODO, TODO.oftc, clean.com,
	configure, make.com, adns/.cvsignore, adns/COPYING,
	adns/GPL-vs-LGPL, adns/Makefile.in, adns/README, adns/README.ircd,
	adns/adns.h, adns/check.c, adns/descrip.mms, adns/dlist.h,
	adns/event.c, adns/general.c, adns/internal.h, adns/parse.c,
	adns/query.c, adns/reply.c, adns/setup.c, adns/transmit.c,
	adns/tvarith.h, adns/types.c, autoconf/acconfig.h,
	autoconf/configure.in, autoconf/install-sh, contrib/.cvsignore,
	contrib/Makefile.in, contrib/README, contrib/README.LMH,
	contrib/README.disable_identd, contrib/disable_identd.diff,
	contrib/example_module.c, contrib/m_clearchan.c, contrib/m_flags.c,
	contrib/m_force.c, contrib/m_jupe.c, contrib/m_ltrace.c,
	contrib/m_map.c, contrib/m_mkpasswd.c, contrib/m_ojoin.c,
	contrib/m_operspy.c, contrib/m_opme.c, contrib/m_tburst.c,
	contrib/m_whois.c, contrib/spy_admin_notice.c,
	contrib/spy_info_notice.c, contrib/spy_links_notice.c,
	contrib/spy_motd_notice.c, contrib/spy_stats_notice.c,
	contrib/spy_stats_p_notice.c, contrib/spy_trace_notice.c,
	contrib/spy_whois_notice.c, doc/.cvsignore, doc/CIDR.txt,
	doc/LazyLinks.txt, doc/Makefile.in, doc/README.cidr_bans,
	doc/Tao-of-IRC.940110, doc/challenge.txt,
	doc/convertconf-example.conf, doc/dline.conf, doc/example.conf,
	doc/example.efnet.conf, doc/guidelines.txt, doc/index.txt,
	doc/ircd.8, doc/ircd.motd, doc/kline.conf, doc/kline.txt,
	doc/messages.txt, doc/modeg.txt, doc/modes.txt, doc/resv.txt,
	doc/operguide.txt, doc/opermyth.txt, doc/server-version-info,
	doc/serverhide.txt, doc/simple.conf, doc/vchans.txt,
	doc/whats-new.txt, doc/old/Authors, doc/old/Etiquette,
	doc/old/README, doc/old/example.conf.trillian,
	doc/old/example_old.conf, doc/old/ircd.8, doc/old/simple.conf,
	doc/old/US-Admin/Networking, doc/old/US-Admin/Operators,
	doc/old/US-Admin/README, doc/technical/Persistent_Clients.txt,
	doc/technical/README.TSora, doc/technical/README.openssl,
	doc/technical/cryptlink.txt, doc/technical/debug_api.txt,
	doc/technical/event.txt, doc/technical/fd-management.txt,
	doc/technical/file-management.txt, doc/technical/hostmask.txt,
	doc/technical/iauth.txt, doc/technical/index.txt,
	doc/technical/linebuf.txt, doc/technical/message-customisation.txt,
	doc/technical/network.txt, doc/technical/rfc1459.txt,
	doc/technical/send.txt, doc/technical/ts5.txt,
	doc/technical/whats-new-code.txt, help/.cvsignore,
	help/Makefile.in, help/opers/accept, help/opers/admin,
	help/opers/away, help/opers/capab, help/opers/cburst,
	help/opers/challenge, help/opers/cjoin, help/opers/client,
	help/opers/close, help/opers/cmode, help/opers/connect,
	help/opers/credits, help/opers/cryptlink, help/opers/die,
	help/opers/dline, help/opers/dmem, help/opers/drop, help/opers/eob,
	help/opers/error, help/opers/gline, help/opers/help,
	help/opers/index, help/opers/info, help/opers/invite,
	help/opers/ison, help/opers/join, help/opers/kick, help/opers/kill,
	help/opers/kline, help/opers/knock, help/opers/knockll,
	help/opers/links, help/opers/list, help/opers/lljoin,
	help/opers/llnick, help/opers/locops, help/opers/lusers,
	help/opers/modlist, help/opers/modload, help/opers/modrestart,
	help/opers/modunload, help/opers/motd, help/opers/names,
	help/opers/nburst, help/opers/nick, help/opers/notice,
	help/opers/oper, help/opers/operwall, help/opers/part,
	help/opers/pass, help/opers/ping, help/opers/pong, help/opers/post,
	help/opers/privmsg, help/opers/quit, help/opers/set,
	help/opers/version, help/opers/wallops, help/opers/rehash,
	help/opers/restart, help/opers/resv, help/opers/server,
	help/opers/sjoin, help/opers/squit, help/opers/stats,
	help/opers/svinfo, help/opers/testline, help/opers/time,
	help/opers/topic, help/opers/trace, help/opers/uhelp,
	help/opers/umode, help/opers/undline, help/opers/ungline,
	help/opers/unkline, help/opers/unresv, help/opers/user,
	help/opers/userhost, help/opers/users, help/opers/who,
	help/opers/whois, help/opers/whowas, help/users/index,
	help/users/info, help/users/notice, help/users/privmsg,
	help/users/stats, help/users/umode, iauth/.cvsignore,
	iauth/Makefile.in, iauth/include/auth.h, iauth/include/class.h,
	iauth/include/commands.h, iauth/include/conf.h,
	iauth/include/iauth.h, iauth/include/log.h, iauth/include/match.h,
	iauth/include/misc.h, iauth/include/mtree.h, iauth/include/res.h,
	iauth/include/setup.h, iauth/include/sock.h,
	iauth/source/.cvsignore, iauth/source/.depend,
	iauth/source/Makefile.in, iauth/source/auth.c,
	iauth/source/class.c, iauth/source/commands.c, iauth/source/conf.c,
	iauth/source/iauth.c, iauth/source/log.c, iauth/source/match.c,
	iauth/source/misc.c, iauth/source/mtree.c, iauth/source/res.c,
	iauth/source/sock.c, include/.cvsignore, include/Makefile.in,
	include/balloc.h, include/channel.h, include/channel_mode.h,
	include/class.h, include/client.h, include/common.h,
	include/config.h, include/config.h.dist, include/defaults.h,
	include/event.h, include/fdlist.h, include/fileio.h,
	include/handlers.h, include/hash.h, include/hook.h,
	include/hostmask.h, include/irc_string.h, include/ircd.h,
	include/ircd_defs.h, include/ircd_getopt.h, include/ircd_handler.h,
	include/ircd_signal.h, include/ircdauth.h, include/linebuf.h,
	include/list.h, include/listener.h, include/m_info.h,
	include/m_kline.h, include/md5.h, include/memory.h,
	include/modules.h, include/motd.h, include/msg.h,
	include/numeric.h, include/packet.h, include/parse.h,
	include/res.h, include/restart.h, include/resv.h, include/rsa.h,
	include/s_auth.h, include/s_bsd.h, include/s_conf.h,
	include/s_debug.h, include/s_gline.h, include/s_log.h,
	include/s_misc.h, include/s_serv.h, include/s_stats.h,
	include/s_user.h, include/s_zip.h, include/scache.h,
	include/send.h, include/serno.h, include/setup.h.in,
	include/setup.h_vms, include/sprintf_irc.h, include/stdinc.h,
	include/supported.h, include/tools.h, include/patchlevel.h,
	include/vchannel.h, include/whowas.h, messages/.cvsignore,
	messages/Makefile.in, messages/ayb.po, messages/build_one,
	messages/create_po, messages/custom.po,
	messages/translations/.cvsignore,
	messages/translations/Makefile.in, messages/translations/README,
	messages/translations/ircd-croatian.po,
	messages/translations/ircd-danish.po,
	messages/translations/ircd-dutch.po,
	messages/translations/ircd-german.po,
	messages/translations/ircd-norwegian.po,
	messages/translations/ircd-spanish.po,
	messages/translations/ircd-swedish.po, modules/.cvsignore,
	modules/m_userhost.c, modules/.depend, modules/Makefile.in,
	modules/descrip.mms, modules/m_accept.c, modules/m_users.c,
	modules/m_version.c, modules/m_wallops.c, modules/m_admin.c,
	modules/m_away.c, modules/m_who.c, modules/m_capab.c,
	modules/m_cburst.c, modules/m_whois.c, modules/m_challenge.c,
	modules/m_cjoin.c, modules/m_close.c, modules/m_connect.c,
	modules/m_cryptlink.c, modules/m_cs.c, modules/m_dmem.c,
	modules/m_drop.c, modules/m_eob.c, modules/m_gline.c,
	modules/m_gnotice.c, modules/m_help.c, modules/m_hs.c,
	modules/m_info.c, modules/m_invite.c, modules/m_ison.c,
	modules/m_join.c, modules/m_kline.c, modules/m_knock.c,
	modules/m_links.c, modules/m_list.c, modules/m_lljoin.c,
	modules/m_llnick.c, modules/m_locops.c, modules/m_log.c,
	modules/m_lusers.c, modules/m_map.c, modules/m_motd.c,
	modules/m_ms.c, modules/m_names.c, modules/m_nburst.c,
	modules/m_ns.c, modules/m_oper.c, modules/m_operwall.c,
	modules/m_os.c, modules/m_pass.c, modules/m_ping.c,
	modules/m_pong.c, modules/m_post.c, modules/m_realhost.c,
	modules/m_rehash.c, modules/m_restart.c, modules/m_resv.c,
	modules/m_set.c, modules/m_spiffy.c, modules/m_stats.c,
	modules/m_svinfo.c, modules/m_svscloak.c, modules/m_svsmode.c,
	modules/m_svsnick.c, modules/m_testline.c, modules/m_time.c,
	modules/m_topic.c, modules/m_trace.c, modules/m_unkline.c,
	modules/m_user.c, modules/m_spingtime.c, modules/m_whowas.c,
	servlink/.cvsignore, servlink/Makefile.in, servlink/README,
	servlink/TODO, servlink/control.c, servlink/control.h,
	servlink/descrip.mms, servlink/io.c, servlink/io.h,
	servlink/servlink.c, servlink/servlink.h, servlink/setup.h.in,
	src/.cvsignore, src/.depend, src/Makefile.in, src/adns.c,
	src/balloc.c, src/channel.c, src/channel_mode.c, src/class.c,
	src/client.c, src/crypt.c, src/descrip.mms, src/dynlink.c,
	src/event.c, src/fdlist.c, src/fileio.c, src/getopt.c, src/hash.c,
	src/hook.c, src/hostmask.c, src/irc_string.c, src/ircd.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/ircd_signal.c,
	src/ircdauth.c, src/kdparse.c, src/linebuf.c, src/list.c,
	src/listener.c, src/m_error.c, src/match.c, src/md5.c,
	src/memory.c, src/messages.tab, src/modules.c, src/motd.c,
	src/numeric.c, src/packet.c, src/parse.c, src/restart.c,
	src/resv.c, src/rsa.c, src/s_auth.c, src/s_bsd.c,
	src/s_bsd_devpoll.c, src/s_bsd_kqueue.c, src/s_bsd_poll.c,
	src/s_bsd_select.c, src/s_bsd_sigio.c, src/s_conf.c, src/s_debug.c,
	src/s_gline.c, src/s_log.c, src/s_misc.c, src/s_serv.c,
	src/s_stats.c, src/s_user.c, src/scache.c, src/send.c,
	src/snprintf.c, src/sprintf_irc.c, src/tools.c, src/vchannel.c,
	src/version.c.SH, src/version.com, src/whowas.c, tools/.cvsignore,
	tools/Makefile.in, tools/README, tools/README.mkpasswd,
	tools/convertconf.c, tools/convertilines.c, tools/convertklines.c,
	tools/descrip.mms, tools/encspeed.c, tools/mkkeypair,
	tools/mkpasswd.c, tools/untabify, tools/viconf.c,
	tools/rsa_respond/.cvsignore, tools/rsa_respond/Makefile,
	tools/rsa_respond/README, tools/rsa_respond/respond.c: Initial
	revision

2002-09-12 02:07  cry0gen

	* .cvsignore, .indent.pro, BUGS, ChangeLog, ChangeLog.oftc,
	Hybrid-team, INSTALL, LICENSE, Makefile.in, README.FIRST,
	README.PLATFORMS, README.VMS, RELNOTES, TODO, TODO.oftc, clean.com,
	configure, make.com, adns/.cvsignore, adns/COPYING,
	adns/GPL-vs-LGPL, adns/Makefile.in, adns/README, adns/README.ircd,
	adns/adns.h, adns/check.c, adns/descrip.mms, adns/dlist.h,
	adns/event.c, adns/general.c, adns/internal.h, adns/parse.c,
	adns/query.c, adns/reply.c, adns/setup.c, adns/transmit.c,
	adns/tvarith.h, adns/types.c, autoconf/acconfig.h,
	autoconf/configure.in, autoconf/install-sh, contrib/.cvsignore,
	contrib/Makefile.in, contrib/README, contrib/README.LMH,
	contrib/README.disable_identd, contrib/disable_identd.diff,
	contrib/example_module.c, contrib/m_clearchan.c, contrib/m_flags.c,
	contrib/m_force.c, contrib/m_jupe.c, contrib/m_ltrace.c,
	contrib/m_map.c, contrib/m_mkpasswd.c, contrib/m_ojoin.c,
	contrib/m_operspy.c, contrib/m_opme.c, contrib/m_tburst.c,
	contrib/m_whois.c, contrib/spy_admin_notice.c,
	contrib/spy_info_notice.c, contrib/spy_links_notice.c,
	contrib/spy_motd_notice.c, contrib/spy_stats_notice.c,
	contrib/spy_stats_p_notice.c, contrib/spy_trace_notice.c,
	contrib/spy_whois_notice.c, doc/.cvsignore, doc/CIDR.txt,
	doc/LazyLinks.txt, doc/Makefile.in, doc/README.cidr_bans,
	doc/Tao-of-IRC.940110, doc/challenge.txt,
	doc/convertconf-example.conf, doc/dline.conf, doc/example.conf,
	doc/example.efnet.conf, doc/guidelines.txt, doc/index.txt,
	doc/ircd.8, doc/ircd.motd, doc/kline.conf, doc/kline.txt,
	doc/messages.txt, doc/modeg.txt, doc/modes.txt, doc/resv.txt,
	doc/operguide.txt, doc/opermyth.txt, doc/server-version-info,
	doc/serverhide.txt, doc/simple.conf, doc/vchans.txt,
	doc/whats-new.txt, doc/old/Authors, doc/old/Etiquette,
	doc/old/README, doc/old/example.conf.trillian,
	doc/old/example_old.conf, doc/old/ircd.8, doc/old/simple.conf,
	doc/old/US-Admin/Networking, doc/old/US-Admin/Operators,
	doc/old/US-Admin/README, doc/technical/Persistent_Clients.txt,
	doc/technical/README.TSora, doc/technical/README.openssl,
	doc/technical/cryptlink.txt, doc/technical/debug_api.txt,
	doc/technical/event.txt, doc/technical/fd-management.txt,
	doc/technical/file-management.txt, doc/technical/hostmask.txt,
	doc/technical/iauth.txt, doc/technical/index.txt,
	doc/technical/linebuf.txt, doc/technical/message-customisation.txt,
	doc/technical/network.txt, doc/technical/rfc1459.txt,
	doc/technical/send.txt, doc/technical/ts5.txt,
	doc/technical/whats-new-code.txt, help/.cvsignore,
	help/Makefile.in, help/opers/accept, help/opers/admin,
	help/opers/away, help/opers/capab, help/opers/cburst,
	help/opers/challenge, help/opers/cjoin, help/opers/client,
	help/opers/close, help/opers/cmode, help/opers/connect,
	help/opers/credits, help/opers/cryptlink, help/opers/die,
	help/opers/dline, help/opers/dmem, help/opers/drop, help/opers/eob,
	help/opers/error, help/opers/gline, help/opers/help,
	help/opers/index, help/opers/info, help/opers/invite,
	help/opers/ison, help/opers/join, help/opers/kick, help/opers/kill,
	help/opers/kline, help/opers/knock, help/opers/knockll,
	help/opers/links, help/opers/list, help/opers/lljoin,
	help/opers/llnick, help/opers/locops, help/opers/lusers,
	help/opers/modlist, help/opers/modload, help/opers/modrestart,
	help/opers/modunload, help/opers/motd, help/opers/names,
	help/opers/nburst, help/opers/nick, help/opers/notice,
	help/opers/oper, help/opers/operwall, help/opers/part,
	help/opers/pass, help/opers/ping, help/opers/pong, help/opers/post,
	help/opers/privmsg, help/opers/quit, help/opers/set,
	help/opers/version, help/opers/wallops, help/opers/rehash,
	help/opers/restart, help/opers/resv, help/opers/server,
	help/opers/sjoin, help/opers/squit, help/opers/stats,
	help/opers/svinfo, help/opers/testline, help/opers/time,
	help/opers/topic, help/opers/trace, help/opers/uhelp,
	help/opers/umode, help/opers/undline, help/opers/ungline,
	help/opers/unkline, help/opers/unresv, help/opers/user,
	help/opers/userhost, help/opers/users, help/opers/who,
	help/opers/whois, help/opers/whowas, help/users/index,
	help/users/info, help/users/notice, help/users/privmsg,
	help/users/stats, help/users/umode, iauth/.cvsignore,
	iauth/Makefile.in, iauth/include/auth.h, iauth/include/class.h,
	iauth/include/commands.h, iauth/include/conf.h,
	iauth/include/iauth.h, iauth/include/log.h, iauth/include/match.h,
	iauth/include/misc.h, iauth/include/mtree.h, iauth/include/res.h,
	iauth/include/setup.h, iauth/include/sock.h,
	iauth/source/.cvsignore, iauth/source/.depend,
	iauth/source/Makefile.in, iauth/source/auth.c,
	iauth/source/class.c, iauth/source/commands.c, iauth/source/conf.c,
	iauth/source/iauth.c, iauth/source/log.c, iauth/source/match.c,
	iauth/source/misc.c, iauth/source/mtree.c, iauth/source/res.c,
	iauth/source/sock.c, include/.cvsignore, include/Makefile.in,
	include/balloc.h, include/channel.h, include/channel_mode.h,
	include/class.h, include/client.h, include/common.h,
	include/config.h, include/config.h.dist, include/defaults.h,
	include/event.h, include/fdlist.h, include/fileio.h,
	include/handlers.h, include/hash.h, include/hook.h,
	include/hostmask.h, include/irc_string.h, include/ircd.h,
	include/ircd_defs.h, include/ircd_getopt.h, include/ircd_handler.h,
	include/ircd_signal.h, include/ircdauth.h, include/linebuf.h,
	include/list.h, include/listener.h, include/m_info.h,
	include/m_kline.h, include/md5.h, include/memory.h,
	include/modules.h, include/motd.h, include/msg.h,
	include/numeric.h, include/packet.h, include/parse.h,
	include/res.h, include/restart.h, include/resv.h, include/rsa.h,
	include/s_auth.h, include/s_bsd.h, include/s_conf.h,
	include/s_debug.h, include/s_gline.h, include/s_log.h,
	include/s_misc.h, include/s_serv.h, include/s_stats.h,
	include/s_user.h, include/s_zip.h, include/scache.h,
	include/send.h, include/serno.h, include/setup.h.in,
	include/setup.h_vms, include/sprintf_irc.h, include/stdinc.h,
	include/supported.h, include/tools.h, include/patchlevel.h,
	include/vchannel.h, include/whowas.h, messages/.cvsignore,
	messages/Makefile.in, messages/ayb.po, messages/build_one,
	messages/create_po, messages/custom.po,
	messages/translations/.cvsignore,
	messages/translations/Makefile.in, messages/translations/README,
	messages/translations/ircd-croatian.po,
	messages/translations/ircd-danish.po,
	messages/translations/ircd-dutch.po,
	messages/translations/ircd-german.po,
	messages/translations/ircd-norwegian.po,
	messages/translations/ircd-spanish.po,
	messages/translations/ircd-swedish.po, modules/.cvsignore,
	modules/m_userhost.c, modules/.depend, modules/Makefile.in,
	modules/descrip.mms, modules/m_accept.c, modules/m_users.c,
	modules/m_version.c, modules/m_wallops.c, modules/m_admin.c,
	modules/m_away.c, modules/m_who.c, modules/m_capab.c,
	modules/m_cburst.c, modules/m_whois.c, modules/m_challenge.c,
	modules/m_cjoin.c, modules/m_close.c, modules/m_connect.c,
	modules/m_cryptlink.c, modules/m_cs.c, modules/m_dmem.c,
	modules/m_drop.c, modules/m_eob.c, modules/m_gline.c,
	modules/m_gnotice.c, modules/m_help.c, modules/m_hs.c,
	modules/m_info.c, modules/m_invite.c, modules/m_ison.c,
	modules/m_join.c, modules/m_kline.c, modules/m_knock.c,
	modules/m_links.c, modules/m_list.c, modules/m_lljoin.c,
	modules/m_llnick.c, modules/m_locops.c, modules/m_log.c,
	modules/m_lusers.c, modules/m_map.c, modules/m_motd.c,
	modules/m_ms.c, modules/m_names.c, modules/m_nburst.c,
	modules/m_ns.c, modules/m_oper.c, modules/m_operwall.c,
	modules/m_os.c, modules/m_pass.c, modules/m_ping.c,
	modules/m_pong.c, modules/m_post.c, modules/m_realhost.c,
	modules/m_rehash.c, modules/m_restart.c, modules/m_resv.c,
	modules/m_set.c, modules/m_spiffy.c, modules/m_stats.c,
	modules/m_svinfo.c, modules/m_svscloak.c, modules/m_svsmode.c,
	modules/m_svsnick.c, modules/m_testline.c, modules/m_time.c,
	modules/m_topic.c, modules/m_trace.c, modules/m_unkline.c,
	modules/m_user.c, modules/m_spingtime.c, modules/m_whowas.c,
	servlink/.cvsignore, servlink/Makefile.in, servlink/README,
	servlink/TODO, servlink/control.c, servlink/control.h,
	servlink/descrip.mms, servlink/io.c, servlink/io.h,
	servlink/servlink.c, servlink/servlink.h, servlink/setup.h.in,
	src/.cvsignore, src/.depend, src/Makefile.in, src/adns.c,
	src/balloc.c, src/channel.c, src/channel_mode.c, src/class.c,
	src/client.c, src/crypt.c, src/descrip.mms, src/dynlink.c,
	src/event.c, src/fdlist.c, src/fileio.c, src/getopt.c, src/hash.c,
	src/hook.c, src/hostmask.c, src/irc_string.c, src/ircd.c,
	src/ircd_lexer.l, src/ircd_parser.y, src/ircd_signal.c,
	src/ircdauth.c, src/kdparse.c, src/linebuf.c, src/list.c,
	src/listener.c, src/m_error.c, src/match.c, src/md5.c,
	src/memory.c, src/messages.tab, src/modules.c, src/motd.c,
	src/numeric.c, src/packet.c, src/parse.c, src/restart.c,
	src/resv.c, src/rsa.c, src/s_auth.c, src/s_bsd.c,
	src/s_bsd_devpoll.c, src/s_bsd_kqueue.c, src/s_bsd_poll.c,
	src/s_bsd_select.c, src/s_bsd_sigio.c, src/s_conf.c, src/s_debug.c,
	src/s_gline.c, src/s_log.c, src/s_misc.c, src/s_serv.c,
	src/s_stats.c, src/s_user.c, src/scache.c, src/send.c,
	src/snprintf.c, src/sprintf_irc.c, src/tools.c, src/vchannel.c,
	src/version.c.SH, src/version.com, src/whowas.c, tools/.cvsignore,
	tools/Makefile.in, tools/README, tools/README.mkpasswd,
	tools/convertconf.c, tools/convertilines.c, tools/convertklines.c,
	tools/descrip.mms, tools/encspeed.c, tools/mkkeypair,
	tools/mkpasswd.c, tools/untabify, tools/viconf.c,
	tools/rsa_respond/.cvsignore, tools/rsa_respond/Makefile,
	tools/rsa_respond/README, tools/rsa_respond/respond.c: Import of
	new sources, go me for fucking the old one!

